Software Updated to Version a6399ea4..

Installed software version has changed from e9c33aebe07050d9453c0b0d34c38518452558c6 to a6399ea4bd2e191c37ed1e1f3784991a0739164c

a6399ea4 update todo.txt
1b773b6d add replies_listing_no_titles setting
ded9d2e4 add approve and vouch actions to default pubkey tagset, so that those actions are more accessible to users
9679123e add comment and todo in get_item_listing.pl
fa3b64ec add setting setting/html/item_page/replies_listing_remove_tokens ; item_page.pl
5525fd9e rename setting replies_list to replies_listing ; item_page.pl
c3bce9b4 add client_id to RenderField() ; render_field.pl ;
fe3ca1a9 add menu dialog ; pages.pl, handle_not_found.php
5c2fca65 improve styling of comments in menu.pl
ee86f4f2 update todo.txt
28e7e08c add support for random dialog ; pages.pl, handle_not_found.php
923b653f improve debug output in route.php
7969e676 improve formatting in brainstorm.txt, todo.txt
2f2956ed add searchable keyword in handle_not_found.php
a5b61137 improve welcome page generator in cory theme ; welcome.pl
d27f7499 clean up crypto2.js and add to scratch.js
eb1b98f3 improve formatting of profile_auto_register.js
769a985c add comments and clean up profile_auto_register.js
2bcae124 rename AutoRegister() move its call to OnLoadEverything() instead of inline ; profile_auto_register.js, utils.js
ee29d6a1 add a config.sh to flyerian theme
51819256 add tagset_all column (voting buttons) to new.sql query (new page) ; new.sql
75f8e824 add to scratch.js and scratch.php
f83b6830 GetDialogX in utils.php: add debug output and remove commented code
a53b1971 fix typo in welcome.template
f027a35d improve flyerian welcome page
be5b7047 improve flyerian welcome page
5b28e91c improve debug output of AddAttributeToTag() ; html.pl
9f983b75 improve debug output in GetDialogX2() dialog.pl
b588b00b allow individual dialog expansion using anchor tag (when dialog titlebar buttons are not available) utils.php, dialog.pl
b12d5dd3 remove hard-coded <hr> from people page people.pl
5ae28199 add flyerian theme with welcome page
c8561034 add retro_mode.sh for configuring site for retro browsers
169c779a add public_key_insert.template and conditionally insert it into session dialog instead of always having it there ; profile.pl, session.template
7739dab3 add missing declaration in write.pl
b6c045be improve write.pl ; add feature flag for having settings dialog on write page ;
83282deb add sanity/feature checks and debug output in selectKeyPopulate() profile.js
317ba9be add features in enable_features.sh (and fix typo) ;
b0158ff9 add feature check for remove() method in CloseDialog() ; dragging.js
e4b43243 make write textarea smaller so that it fits into mobile display ; cory theme
f60d0ce1 change title of home page for cory theme
df49abf1 add more stable features to enable_features.sh
e3df50e5 when an item/author is approved, expire their avatar cache ; index_text_file.pl
698295d4 improve debug output in ExpireAvatarCache() ; cache.pl
6d9de2ce add tagset_guest to list of fields in field_advanced
0f8606de add searchable comments to index_text_file.pl
a8891c7c add searchable comment in index_text_file.pl
4c3bfe92 add tagset/guest and use it in people_guest query template ;
43bb7dc7 disable auto linking on welcome page for cory theme
74e0ad7c add more stable features to enable_features.sh
4f71d32c update bug.txt
f5a06923 add settings_default.js for cory template
08b4fc39 add stable features to enable_features.sh
f8f9cb91 improve settings_default.js in cory theme
849262a8 add require statement in get_page_header.pl
26f9ad6a improve comments and debug output in settings.js
ec9b4aca move GetDefault() into its own module, settings_default.js ; this allows having per-theme defaults
23223c82 factor out defaults getting into GetDefault in settings.js
f7309119 improve formatting in scratch.js
e02bbdb9 update todo.txt
416e1882 improve cory theme
b47a9037 improve cory theme and fix bug in welcome.pl
a6b82860 improve cory theme
e69fe610 move MakeFeed() to a separate module ; makefeed.pl
698b312b improve cory theme stylesheet ;
b8f9f11f improve formatting in item_listing_page.pl
8cdaf1bd change how profile.js determines if author profile already exists
66069c5e improve cory theme
6e81c2f3 generate author feed when generating author page ; get_read_page.pl
4f4144c8 improve MakeFeed() to include author feeds ; item_listing_page.pl
73a45507 add searchable comment to item_listing_page.pl
3e54da55 improve cory theme
3f0eb235 rename diff_config.sh from find_diff.sh
741ec918 add searchable keywords in config.pl
f3bf8f93 add searchable comment to item_html_link.pl
9d579fcf add to scratch.pl
23e98cbc move chain_hash to separate render condition in RenderField() ; render_field.pl
020182a4 add sanity check to GetAlias() alias.pl
06941871 add searchable comment in page_map.pl
20ae9ea1 add skeleton for cory theme
460b2970 factor out GetAlias() into alias.pl from utils.pl
a931efbe clean up dragging.js of commented out code, move it to scratch.js
5592fe70 add todo in page_map.pl
ea0b21ac update bug.txt
079caa05 clean up spacing in render_field.pl
8c7e11d2 add string for item_attribute/parent
1e2cdbaa update default chain.sql with gpt's version so that it includes chain_hash column ; chain.sql
8b974b92 update todo
cc2c6379 update todo
c7701dfd add missing \n when posting multiple comments via post.php
3d8c1bc6 improve operator_response.pl
48b6d61d change the order of things on the menu page ; menu.pl
5b37fa1a make operator controls work better ; operator_response.pl
44dbe017 add comments and clean up and improve operator_response.pl
ad7b5b61 update todo.txt
112b3a0a save old unused code from utils.pl in scratch.pl
2c22ec23 improve news theme color scheme and css layout
928e62e3 improve reset_config.sh script
1719fd1b add skeleton for another sanity check in str_replace() ; utils.pl
a6aca0f9 remove todo in resultset_as_dialog.pl
5bcfc5d2 add field render for person_name field ; render_field.pl
b0841d38 add searchable string in index_text_file.pl
87a90b86 improve debug output in avatar.pl
54f6ab39 change "author_alias" to "person_name" where appropriate ; person.template
60792a9c don't enable draggable_spawn when 'Float' is clicked ; dialog_controls.template
438015af fix bug and improve style in GetPageMapDialog() ; page_map.pl
0fcd78a5 do not put thread listing in advanced layer ; thread_listing.pl
a4e9de7b clean up utils.pl
648fbce0 clean up GetAvatar() and factor out GetAvatarIcon() ; avatar.pl
09233dc4 fix typos in scratch.pl
19c7b65b add GetAvatarIcon() in avatar.pl
172f55ea fix bug/typo in item_page.pl
27a2d14c add default for avatar_display_approved_status setting
cffc60b9 add to scratch.pl
9e701985 clean up and add debug output in GetPersonLink() ; person_link.pl
6a17df2d update todo.txt
be096deb improve smell in thread_listing.pl
c2218b89 clean up and debug GetThreadListing() ; thread_listing.pl
95bdf8fa add string for hourglass emoji "widget"
e9e4b19c fix typo in avatar-username.template
a1632fcd replace s// with str_replace() ; avatar.pl
71c0f7e5 clean up and reduce complexity of GetAvatar() ; avatar.pl
ac2dd8eb add some exceptions in draggable_reopen ; dragging.js
229c582d improve comments in dragging.js
38f4be8e rename FreshCallback()
c7229724 clean up fresh.js
2aa1e000 clean up fresh.js and add to scratch.js
83cb48d9 clean up fresh.js and add to scratch.js
c7d63ee0 fix bug where ETag was not added to file and headers when it was just printed ; route.php
86b4c727 when stripping non-ascii characters, do not include non-ascii characters in the notice dialog ; PutHtmlFile() ; utils.pl
e5625147 improve UpdateSetting(), also rebuild frontend when updating anything related to html/ or js/ ; set.pl
bf7c1c27 add new draft of GetAvatar() to scratch.pl
59b3ea25 improve GetAvatar() call to SqliteGetValue(), use parametrized query ; avatar.pl
126f37fb improve author info page: inform reader when author is not approved
15f9259f update todo
a9e95223 update todo
72cb9da3 add comments in sqlite.pl
e6eac741 move avatar icons to separate template
8777ea3d add avatar-icon.template
84406c2e clean up avatar.pl
26c2be05 update todo.txt
4493c266 update todo.txt
8474438f improve if statement for sanity check in author_link.pl
6f5fe3f1 add to doc/known.txt
0182f6b6 improve comments in utils.php
e486d34f improve sanity of GetAuthorLink() ; author_link.pl
1a83a406 add feature flag route_dialogs_multi_request ; route.php
b96395b5 improve GetDialogX2() ; dialog.pl
94d29011 add comments in route.php
d251af25 improve comments in route.php
f9e91bb7 update todo
b03d18e9 improve formatting of commented out code in dialog.pl
64b4fc0d retain span container when adding dialog icon to dialog ; GetDialogX2() ; dialog.pl
7ec66371 add todo x2 in dialog.pl
a6998b9b add debug output in GetItemListingPage() ; item_listing_page.pl
d37e8b2c add comment in item_list.pl
0faa8a1d add to scratch.pl
83d1a46b improve comments in item_listing_page.pl
e6e5cc07 Merge pull request #27 from gulkilyjones/master
2180b1b2 Merge pull request #28 from Solomiia2098/master
e0054000 Merge branch 'master' into master
508bda93 adding another change to test1.txt
5616603e testing git commit, test1.txt
4ecefac6 testing git commit, test.txt
12dabd21 on upload page, do not try to upload pasted image if there's no image in the clipboard data ; paste.js
12c0ca52 improve comments in paste.js
9181789e add comments to ilyag/.../welcome.pl
00129290 improve welcome page for ilyag theme: do not display image if image/enable is false
f193153c add comments in welcome.pl (ilyag theme)
5971c8e6 fix typo in ilyag theme welcome page
58109b21 update todo.txt
eee8bd00 improve comments in post.php
1133a4b8 improve formatting of reply_cart.js
352521e3 replace s// with str_replace() in page_footer.pl
22595ac8 add reply cart to listing pages ; item_listing_page.pl
93fa4862 make Add All button not remove items from the cart ; reply_cart.js
fe83a13f add check for js/enable before adding js events to reply cart template ; reply_cart.pl
7ed874df add "Clear" and "Add All" buttons to reply cart ; reply_cart.template
f0318505 fix/finish ReplyCartAddAll() ; reply_cart.js
374f011a improve GetMenuFromList() ; menu.pl
9ef5e251 improve debug output in page_footer.pl
2512d82f add missing require for GetHeaderStylesheet() in get_page_header.pl ;
ffab0d1d fix condition in PutHtmlFile() in utils.pl
54f84a14 add require_once for GetPageHeader() in item_listing_page.pl
efef48d6 improve formatting of comments in profile.js
6ed778d0 rename sharePubKey() to PubKeyShare()
b254bd7a remove restriction of PubKeyPing() only working on profile page ; profile.js
5c88ac05 add searchable keyword in profile.js
2c48941d update todo.txt
d2004f02 add sanity check for named forms (document.frmTest) in RunTest() jstest1.js
48457cfb add comment in build.sh
c7af6cfa add call to lib_heal in build.sh
e3ae0976 in lib_heal.pl, reroute output of attempting to use libraries, so that error is not displayed to user it if it fails ;
85207c42 move lib_heal into perl/scripts
f08c957e improve lib_heal.pl
89573850 Merge remote-tracking branch 'origin/master'
04c56f5a update todo.txt
c6372987 remove stray </b> tag in jstest1.template
bf5f97f0 add skeleton for flyermist theme
1dc201fe Update README.md
16df9a03 Update README.md
904bf041 change how Expand button in layer control works (enable color highlighting of layers and beginner layer) ; layer_controls.template
4d28f0b8 add "rip to same window/tab" bookmarklet ; bookmark.template
f1f5ead3 change pi link on home page to point to data page for rh24 theme
f55f4265 improve sanity check on $pwd in data.pl
2ee649a0 add _ to allowed characters in $pwd in MakeDataZips() ; data.pl
050b0ea0 improve debug output in MakeDataZips() ; data.pl
49a2d56b add basic skeleton for auth_challenge_response.js
f6705777 improve link formatter in rh24 welcome page
41c9577b clean up top level directory ; move Kliment's doc folder into doc/
ee42820f improve welcome page fo simple theme ; welcome.pl
3da6be6d improve clarity of warning in cookie.php
fc2d2524 add write item to rh24 theme's menu
d2c776f0 add clarifying comment in crypto2.js
e17335d2 change default tagset for items from "like" to "thanks" in rh24 theme
2d7b93da fix missing semicolon in item_listing_page.pl
8c9dfe3c add condition for rh24 theme's +/- button in route.php
cf434c69 update todo.txt
c20208a7 add debug output in item_listing_page.pl
9efff9df add sometimes missing require in item_listing_page.pl
9d425393 improve rh24 theme
a621e830 update todo
21400435 hide voting buttons on rh24 buttons until they can be designed better ; item_flat.template
0a947a7f add class to instructions element ; home.template
aab1df33 improve rh24 style
66f2170b improve sorting of welcome page rh24 theme
d500a711 improve reality hack theme styling
2fa377ed make send button respond to user ;
8af5370b move voting buttons closer to their text
030b62b9 disable broken feature in voting.js
2df1eb35 disable broken feature in voting.js
32e442a2 fix indentation in voting.js
8a71ce8d sort welcome page by likes, then random in rh24 theme
753d239d add item tagset to rh24 theme
cd100bd8 add voting buttons to rh24 welcome page
fe7ba11d add styling to .voting container in rh24 theme
2cfe2240 fix wrong quotes in item_label_buttons.pl
f2064ae6 add section-separator comments in welcome.pl
0c5a5177 add placeholder for voting buttons in item_flat.template rh24 theme
88f87c35 replace s// syntax with str_replace() for consistency item_label_buttons.pl
44de0a3e add searchable comment in item_label_buttons.pl
bb77c84a allow more items to be listed on welcome page for rh theme
162b34bc improve wall page in rh24 theme
ce833a76 make everything monospace in rhack theme
61f83190 improve rh24 theme
a79f09b2 imrpove rh24 theme
500fc88e add rh24 theme scratch.txt (theme colors)
5c849624 add support for profile_auto_register to welcome page of rh24 theme
aedb5b4a add todo in utils.php
6de2c2c9 update todo
166c3a1f add to scratch.html
524dc1c5 add rh24 theme
e6fea09c add paint page support
d18ac480 add searchable comment to git.txt
617d7709 add reality_hack.css to simple theme ;
bc8d6494 improve welcome page for simple theme ; welcome.pl
443614d7 improve comments and debug output in image_container.pl
067cf513 add check_sqlite.sh
a7b955b4 improve simple theme's welcome page ; welcome.pla
41349569 update simple theme stylesheet ;
d709e85c improve simple theme
406a48a2 include images in simple theme's welcome page ;
9972b92b improve simple theme's item_flat.template (change class name) ;
7f3b3f1e copy removed debug code to scratch.pl
5b68639a simple theme: move welcome page's query to separate template ; welcome.pl, welcome.sql
896ff503 update todo.txt
25eec637 add extra output to sql error debug logging ; sqlite.pl
4a60b3af add menu and menuitem templates to bash theme
34a17673 rename topmenu2.template to menu_top.template
0ad132ea improve welcome page in simple theme ; welcome.pl
25f6ebd3 check in 'simple' theme
8345cd7f fix paths in config.sh for sh*tmyself theme
bbe845c8 add to config.sh for seek theme
0e45f9ac improve debug output and sanity check failure handling in PutHtmlFile() ; utils.pl
78c295a0 add todo in config.pl
84e40ae7 update references to setting/html/clock to be in new format ;
aa325488 improve comments and debug output in utils.pl
8418e328 add debug message to ServerSign() ; utils.pl
383cd1c3 update todo file to test changelog generation
d8bbb895 add debug output in utils.pl
7ad3dec1 update todo
e00aeb2c update todo file to issue changelog
a925e11e add "consensual and accessible" slides to yavista theme's pollyanna page
50c7e3cd add consensual-accessible.pdf to documentation
70b1165c reduce size of menu list in yavista theme to deal with a performance issue ;
72bd2d55 improve compatibility between profile_auto_register and openpgp_keygen_prompt_for_username features ; crypto2.js, pages.pl
db4a2c35 improve appearance of "upload feature not available" dialog ; upload_no.template
9b9263d1 improve comments in index.pl
427695e8 add comment in hike.sh
9248c51c rebuild.sh: remake new.html page after rebuild.
5da2544d use IsFileAlreadyIndexed() instead of using GetCache() directly ; index.pl, index_file.pl, index_image_file.pl, index_text_file.pl, index_video_file.pl, utils.pl
ff81230c improve sanity of IsFileAlreadyIndexed() ; index_file.pl
d49a4221 improve comments for GpgParse() ; gpgpg.pl
fa1ef045 update todo.txt
112b0226 improve debug output of IsFileAlreadyIndexed() ; index_file.pl
8afef372 update todo.txt
d1e87662 add IsFileAlreadyIndexed() ; index_file.pl
b9b18296 update todo.txt
e1858063 update todo
39ba7dfc add searchable comment in pages.pl
889cccc7 try not doing a full reindex after a changelog, now that we have fixed one bug ; utils.pl
0c80516e improve debug output in utils.pl
49927507 add missing require statement in CheckForInstalledVersionChange() ; utils.pl
8ca9aa1b update format returned by git_stats.py
8ae1085e update todo.txt
ac2c4bd8 update todo
e53b975d update todo
6a24eff4 add 'new' to default menu list
2690d0fa update todo
4a528cfe update todo
61bf2c1b improve CheckForInstalledVersionChange() ; utils.pl
8ec777e0 in debug mode, if writing changelog, also MakeIndex() and MakePage('new'); utils.pl
4b58ff7d improve debug output in utils.pl
ab21c2b0 Improve CheckForInstalledVersionChange() and add more debugging ; utils.pl
ce62de88 update todo
8e31696c save what was in hike.sh before to scratch.sh
3c561e5a add skeleton for ee theme
4eca2170 make hike help more quiet ; hike.sh
a19b74d1 update todo.txt
cfcab4c4 update todo
f9cd08ba update todo.txt
99f64814 add test.py, which is a basic selenium webdriver-based test script using chromedriver/geckodriver
1b4d3fc3 add test.html file, a proof of concept of colorizing hash display ;
ed269120 add utlity scripts git_stats.py, welcome.py, find_diff.sh, log_parse.py
5518ecdc remove pico.save file from repository
ba8f7472 add fix.sh file, which helps with fixing windows line endings
d6cae727 add sample LLM prompts to doc/prompt/prompts.txt
e91e758d improve readability and comments for GetWelcomePage() for seek theme ; ../theme/seek/../welcome.pl
8415c342 fix bug in GetQuerySqlDialog() ; pages.pl
a9019689 improve comments and debug output in GetQuerySqlDialog() ; pages.pl
29cd4936 remove duplicate comment in item_listing_page.pl
9898c2eb update todo.txt
24a86fe3 improve homepage template and message ; home.template, intro.txt
7e0e798e add searchable comments to sqlite.pl
76f96250 improve comment in welcome.pl
15724674 add saerchable comments to file.pl
0132d829 add to seek theme config.sh
d969a8c4 improve php version of MakePage() to allow making welcome page ; utils.php
6fc63759 update intro for seek'24 theme
dcbf9f2e add basic version of redirect_to_new_item setting ; post.php
045f58d9 add seek'24 theme
9dc5ac6a add searchable comment in sqlite.pl
6e94ffb4 improve formatting in config.txt
dd9d6379 add rounded corners to everything in yavista theme css
94fc6f9a add additional.css to ilyag theme
7ecd8057 changes calls directly to ./pages.pl to use "perl -T ./pages.pl" so that +x is not required on pages.pl
312313a0 change calls to index.pl from using "./index.pl" to using "perl -T ./index.pl" so that +x on index.p is not required
432b2dc6 add todo in utils.pl
f2531342 add colors to yavista theme
654125d3 add default html/css/blink setting
880c5f1a remove dependency on index.pl being executable (+x), instead launching it with perl -T ; utils.php
b9966c91 improve yavista theme color for window
81f8560f improve yavista theme
cd120315 add SqliteGetRow() procedure ; sqlite.pl
025465de update todo.txt
ef4c8517 add color settings to yavista theme
5b8d5e4f update ilyag theme to use a smaller image on the homepage ; welcome.pl
80ac8142 add $thumbnailSize parameter to GetImageContainer2() ; image_container.pl
692a53e7 link to /image page from home page's image in ilyag theme ; welcome.pl
84b7f7f5 add ImageContainer2(), which allows linking to arbitrary urls; thank you, Southwest
3b03bf1d add to todo.txt
dc980253 add comment in menu.pl
50953797 improve/fix feature check in loading_begin.js
48d94f8f add sanity check in CollapseWindowFromButton() ; dragging.js
5c154bad add write to home page links ; home.template
48f9881d improve comments in SweepDeleted() index.pl
e9160468 add settings link to homepage
86e1a0fb add session link to homepage of ilyag theme
073c4a4f improve my website ; home.template
12fe680d improve my homepage ; home.template
4347aa5a improve ilyag theme
6ce0e389 add image to homepage template ; welcome.pl
5b7dcc5c improve homepage template for ilyag theme ; home.template
2550ae35 add debug option to link directly to sqlite3 file from resultset dialogs ; pages.pl, debug_resultset_link_to_index_sqlite3
a1b3ef58 improve comments in pages.pl and utils.pl
301dbd40 add option (image_index_exif) for basic exif indexing (as a log) ; index_image_file.pl
7f4f537b add todo in gpgpg.pl
3c321c4b improve `hike stats` command ; hike.sh
57aa849d add tagset_flag column/field to field_advanced list
6ac33bc4 fix query template people_guest.sql
a0df024e fix query for "Liked by author" dialog ; get_read_page.pl
a0ea4720 add to doc/
0f2531e9 add about page concept
0b275ae7 improve bash theme
9cfdd802 add comment in resultset_as_dialog.pl
fdbcf723 improve bash
5f40ea5e add string/emoji/concept ;
ce0675c4 improve comments in hike.sh
f543abca update todo.txt
a61d262d add to scratch files: scratch.js, scratch.php, scratch.pl
489b54e7 improve concept definitions: author.txt, authors.txt, chain.txt, upload.txt
930b3358 improve query for compost page ; compost.sql
5161d371 fix missing variable declaration in resultset_as_dialog.pl ;
e6a7ada0 improve output of _dev_clean_html.sh
43b45c99 improve code smell in utils.php
aae2b314 improve redirect paused message in utils.php
444082ed improve system error message template ; route.php
d5855dfd change title to printed notice dialog ; route.php
c1f5419d add skeleton for handling Upgrade button in route.php, utils.php
b27b885b improve debug output and comments in sqlite.pl
d4cea3e9 add todo in resultset_as_dialog.pl
7eef804b change name of setting to debug_resultset_dialog_print_query
89c03c33 add comments in pages.pl
d083899c add 'float' to list of valid dialogs in pages.pl
be6c5d32 add more comments for code which warns when two conflicting features are enabled ; pages.pl
81a47202 fix missing semicolon in reset_button.template
d3f77378 make reset buttons also reset the preference for timestamp formats ; dialog_controls.template, reset_button.template
19cbba66 improve special handling of chain page in MakePage() ; makepage.pl
8c049369 improve smell in GetPageFooter() ; page_footer.pl
042faa3a fix query for outputting date-filtered listings GetReadPage() ; get_read_page.pl
b2365932 improve GetReadPage() output of author page ; get_read_page.pl
b0a67466 add setting for showing gpt output on item pages, gpg_stderr ; item_page.pl
24203d83 add sanity check in GetServerConfigDialog() ; server_config.pl
54e061a9 display commit hash as 7 characters, same way as git and github ; stats_table.pl, route.php
e3d5624f add exceptions and todos for the Neighbors dialog in GetPageHeader() ; get_page_header.pl
7064c2bf add hack for bash theme in GetMenuFromList() ; menu.pl
778d8523 add searchable comments in menu.pl
b7e8f1a3 update name of dialog on settings page from annoyances to Float ; settings.pl
2ec7d575 add debugging settings to settings dialog ; settings.pl
816a5448 fix comment in topmenu2.template
7905e0c7 improve comment formatting in calendar.pl
288bb8c9 add ability to republish items for which we don't have a source file ; toolbox_item_publish.pl
ece51416 add searchable comment in server_config.pl
85b0647f update doc/notes/new_dialog.txt (how to create a new dialog)
af0df677 update settings page concept definition
b7b4dca9 update data page concept definition
b0264fc6 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
7a967f4d improve log output in index_text_file.pl
20bbcdb2 add necessary feature check for event and event.target in loading_begin.js
8ad77560 add doc/scratch/test.py
b68b6b29 add new items to menu in shitmyself theme
3c9d1d95 add support for menu_expand_address feature (expanding #HashTag to /label/HashTag.html) ; menu.pl
f76453ca add comments in menu_item.pl, menu.pl
6fe90ded add support for colorizing if statements in ConceptForWeb() ; format_message.pl
43ebc0ef add searchable comments in utils.pl
a61b04f7 add browser preset script for firefox (firefox.sh)
f301e706 improve status display of resultset dialog ; resultset_as_dialog.pl
2a65169d add comments and disable unfinished feature in dragging.js
d08e50df add new_dialog.txt notes
d9ad88ca improve comments for concept dialog and add "no concept defined" dialog ; page_footer.pl, concept.pl
4e6fae43 improve concept definition for welcome page
77a264b4 add calendar dialog basic version ;
024318aa add data page concept definition
b6388865 add session definition to scratch directory
e609b35d make concept dialog look nicer by adding a border ; page_footer.pl
beeccbfb factor out intro dialog from multiple different implementations ; #PageIntro
64fbb1c5 add concept definition for scores page
c917078e improve markup of welcome page in gpt theme
1b978f59 add concept definition for stats page
8347e920 add concept definition for settings page
ae925153 move gpt's version of table_sort.js into scratch directory ; this script has a bug, which is that it it does not properly color the alternating rows ; otherwise, it is a very nice script, and is very fast
c0c1b086 add feature check for window.localStorage in dragging.js
1a3f16ed add draggable_reopen to features turned on by Float ; dialog_controls.template
f437efed improve neighbor dialog ; neighbor.pl
54e9cb0e rename annoyances feature to float ; remove annoyances.pl
b4c407f5 add and improve comments in some perl files ;
701a9e82 add thankyou.scripts.mit.edu to default neighbor list ;
1e251c6b add feature check for event and event.target in loading_begin.js before using them ; loading_begin.js
d5244ae5 improve positioning of new dialogs by InsertFetchedDialog() ; dragging.js
bb1a5f80 improve sanity and feature checks in InsertFetchedDialog() ; dragging.js
21fb08ac move unused code into scratch file to avoid confusion ; dragging_spotlight_dialog.js
a9fa5b77 add reopen feature to UpdateDialogList() ; dragging.js
ac985de2 do not make Float button automatically fetch the float dialog ; dialog_controls.template
8e3bb7a4 in SpotlightDialog(), add dialog to opened_dialogs preference ; dragging.js
14e0ce69 improve comments in dragging.js
0bae4fcc dialog_controls.template: if Float button was clicked, open the Float preferences dialog ; dialog_controls.template
8e07baf0 rename "annoy/annoyances" feature to Float ;
1f292638 add settings debug_resultset_dialog_print_query, record_comment_hash, dialog_emoji_icon
4b24acf7 improve debug output and sanity checks in GetNeighborDialog() ; neighbor.pl
09ecb154 add localhost to default neighbor list
2dbfa9c0 add to todo file ; todo.txt
ce858847 improve comments in route.php
7dacb1a3 improve upgrade button on settings page ; settings.pl
b0dccc1d fix missing close paren in store_new_comment.php
8680e17c remove tags from default menu ( replaced with labels )
81287a44 move neighbor list to default theme
80e4c41a improve uniqueness of error message in welcome.pl
670551af add draft of ColorizeHash() procedure in gpt theme ; colorize_hash.pl
93c40a7f add menu list to gpt theme
7c37a1aa add htmlend.template, htmlstart.template templates to bash theme
2676d2fc add error handling and improve sanity checks in utils.php
50a6a3f5 add template/query/date.sql
100a63b9 add setting setting/admin/logging/record_comment_hash ; store_new_comment.php
2b66eb46 change link from /profile.html to /session.html in route.php
63a32cdb route.php: do not delete stored server response message is request method is HEAD ; route.php
cd899cec fix name of route_restrict_upload config in route.php
bd65793a in post.php, add check for existing signature separator in comment and do not add new one ;
4077e4de add todo in utils.pl
f2d37307 fix bug in RenameFile() ; utils.pl
61a30bd8 add 'hash' token/header to token_defs.pl
a97f3481 add todo in server_local_lighttpd.pl
f7d98a42 add additional concept definitions and update existing ones (gpt theme)
327d378a add SqliteQueryWithTime() ; sqlite.pl
913f5ae2 add status report when returnng empty resultset in GetResultSetAsDialog() ; resultset_as_dialog.pl
9196babb make ReplaceMenuInAllPages() less likely to cause performance issues ; replace_menu.pl
ec1f1934 add date listing dialog option to pages.pl
51cd3d4f add todo in pages.pl
29169c4a add support for gpg_stderr logs to item page ; GetItemPage() , GetItemIndexLog() ; item_page.pl
aca11305 add comments and improve readability ;
be983887 add support for tesseract token in index_text_file.pl
36c02e66 improve appearance of archive dialog on tag page ; get_read_page.pl
bb17cdcc move person zip dialog to advanced layer on person page ; get_person_page.pl
0384d612 add html/neighbor_list setting ; get_page_header.pl
25a95e85 add neighbor.pl and GetNeighborDialog() ;
949e5fcc add todo in format_message.pl ; add USING to list of recognized sql keywords ; format_message.pl
931ea855 improve CppForWeb() ; format_message.pl
c1801a99 add listing of searches on search page ; search.pl
0e571248 add todo in calendar.pl
2fbffef7 add dragging_spotlight_dialog.js template
d7338915 add basic 1x1 frameset skeleton ; 1x1.html
27e107ab fix merge conflict?
b4cceed7 add php/route_restrict_upload setting default
6e064c0f fix merge conflicts?
471ff18c update todo.txt
cb40742f update scratch.js, scratch.pl, scratch9.txt
de71e8ee remove extra semicolon from gpt/../chain.sql
86645c7e add option to not erase the cached server response message in RetrieveServerResponse() ; utils.php
ae9c6a7c make widget/menu_item.pl and factor out GetMenuItem() from menu.pl
56940520 improve comments in menu.pl
d975cf8f add searchable comments in sqlite.pl
0515869b improve display of query in resultset dialogs ; GetResultsetAsDialog() ; resultset_as_dialog.pl
942ff1cd improve GetPageFooter() ; page_footer.pl
1e96fbf7 create fallback for untitled dialog in GetItemTemplate() ; item_template.pl
44f4f090 add query output for transparency on item page dialogs ; item_page.pl
760b335e improve comments and add todos in voting.js
7f4cebd9 add class=cpp to c++ code display container ; cpp.template
db55b414 improve clarity of wording in settings.template
7f0886b5 improve comments and fix bug in table_sort.js
775cab66 add more syntax highlighting styles to default.css
2b9d0aad add searchable comment in profile_auto_register.js
47352a64 improve "reprint" button in layer controls -- display indicator ; layer_controls.template
e23b1a26 improve appearance of nocookie fallback page ; post.php
07414b99 fix indentation in pages.pl
7b627dd7 add basic calendar dialog in pages.pl
0df7eb4d make title of Concept dialog consistent across pages ; page_footer.pl
fc9ec0c5 improve SqlForWeb() ; format_message.pl
e0cb3589 remove exception from FetchDialog() from 'help' and 'people' menu items ; menu.pl
1dd2ccac improve javascript searchability and comments ; desktop.js, dragging.js, utils.js
a249eb2a use PingUrl() for reprint button if it is available ; layer_controls.template
eedd320b make check_engine_status indicator both more configurable and more performant ; stats_table.pl
82582bd5 add GetConceptDialog() ; concept.pl
7a51a603 add setting/admin/token/hash and hash.txt
a81fb270 add draft of doc/draft/new_token.txt
1d3ebe05 make `hike clean` message more noticeable ; hike.sh
f7f24c67 add check_engine_status setting
8fbbea9e add searchable comment in format_message.pl
6903b7ff add control panel for zip module to Settings page ; GetSettingsPage() ; settings.pl
469581c9 add sanity check in GetItemTemplate() ; item_template.pl
7fe09632 improve ConceptForWeb()
198a7028 improve clarity of GetTopicsPage() ; topics.pl
b3b7bc1a improve calendar view ; calendar.pl
32f0043f improve calendar view ; calendar.pl
bd035d8e fix formatting in calendar.txt
d9638608 add more concept definitions to gpt theme ; default/theme/gpt/string/en/concept/*
9eca37a6 allow for /dialog/label/like.html to be generated using pages.pl
e1fa060f allow user to open label lists as dialogs ; pages.pl
68290c3b improve ConceptForWeb() ; format_message.pl
5edf1107 improve concepts formatting and add purpose to concepts ; theme/gpt/string/en/concept/*
9348e014 remove 'clean' and 'build' aliases, change behavior of hike alias to cd to ~/pollyanna/ directory ; hike.sh
1fe3e0ee improve and add concept definitions ; calendar.txt, chain.txt, compost.txt, new.txt, private_key.txt, public_key.txt, read.txt
54066945 slightly improve appearance of error message returned by upload.php
a4f59c74 improve views on help page ; help_views.template
11322f84 add new concept definitions in gpt theme ; calendar.txt, help.txt
5dc634d5 improve sanity checks in utils.php
58da7136 make session page more enthusiastic ; string/en/page_intro/session
d90f186c replace using cache/run_log/... with a proper item reply ; run_item.pl, run_llm.pl
0b667d60 add setting/html/footer_page_concept setting ; GetPageFooter() ; page_footer.pl
202b3584 use AddLogToItem() instead of cache/run_log for logging run of perl file ; RunPerlItem() ; index_pl_file.pl
b865f6c9 put concept dialog into separate template ; concept.pl (remove from get_page_header.pl)
29a63588 add sanity check to GetSHA1() ; utils.pl
73ffbd49 add sanity check in GetItemPlaceholderPage() ; utils.php
309c7d9a use AttachLogToItem() in RunItem() ; run_item.pl
9ed0b573 improve arrangement of footer (put pagemap below menu) ; page_footer.pl
3cb9a3c1 add searchable comment to make it easier to find where "rss.xml" is generated ; makepage.pl
03c11416 improve share toolbox (add snapchat) ; item_page.pl
be3b0be9 add option admin/index/log_declined ; index_text_file.pl
2f27e75a add draft of GetQueryAsRssXml() in rss.pl
062c4ab2 add sanity checks in image_thumbnail.pl
e385f67c increase max-width of text items to support common width for textart. ; width.css
c34b96d5 add feature check for event.target before using it in loading_begin.js
d96c78f2 improve comments in rss.pl
4eacbedf improve sanity checks in GetRssFile() ; rss.pl
50c4c0ab improve GetItemPlaceholderPage() to work with non-text files ; utils.php
b93b5206 improve cheatsheet.txt
9580c5aa update todo
8a53127b add welcome page concept to gpt theme ; welcome.txt
33862419 profile auto register should not trigger on profile or session pages ; profile_auto_register.js
1f27b41d improve format of txt.zip data file (remove extra subdirectories) ; data.pl
bb1795a8 apply http and https links to parent item if there is one, to make it easier to create link collection pages ; IndexTextFile() ; index_text_file.pl
2d4d733e add searchable keywords in utils.pl
cc6c9f80 improve SpotlightDialog() to make demo better ; dragging.js
2c639d4c improve documentation on how to fix line ending issues on windows ; bad_interpreter_or_bash_error_windows_line_endings.txt
58823b77 add more services to Share toolbox on item page ; item_page.pl
c2c50a1c improve home template for ilyag theme ; home.template
6f72d89a index on master: b095c07d add ConceptForWeb() for formatting software concepts ; format_message.pl
b095c07d add ConceptForWeb() for formatting software concepts ; format_message.pl
5697e547 add thumbnail_extension setting for video module
a24cb777 improve shitmyself theme welcome page ; welcome.template
45fcf619 add to gpt theme: drafts of js functions, new query for chain page, concept definitions, and new welcome page ;
902787d8 change default thumbnail extension from hard-coded ".gif" to setting/admin/image/thumbnail_extension
d2575f00 update welcome page for gpt playground theme ; welcome.template
fa492e7a improve comments in profile_auto_register.js
be2daadf add to scratch.html
d0482ac7 simplify search form ; search.template
c383705b add DISTINCT to sqlKeywords in SqlForWeb() in format_message.pl
466e60d4 update doc/notes/new_page.txt
ac148ee9 add cart column to related view ; related.sql
af73a49e fix bug in PutHtmlFile() ; utils.pl
24df0dbf add chain_timestamp field to chain view ; makepage.pl
7b662b2a add history page
85aa3e1a add searchable comment in makepage.pl
71ae695c add todo in item_page.pl
9de350bb add to scratch.htmll and scratch.pl
beb841b4 remove "under construction" sign from person zip/archive on person page ; get_person_page.pl
a7a549ae add todo in get_page_header.pl
92202d93 add chain_hash to list of advanced fields (default/template/list/field_advanced)
08ea5a4c add gpt theme, starting with table_sort.js
14ca54e7 update todo.txt
8fce57be add missing id= attribute to Links toolbox in GetItemPage() ; item_page.pl
69b7d7f7 remove unused condition in RenderField() ; render_field.pl
d7aa4824 add sanity check in GetDialogX2() ; dialog.pl
8300e56f improve display of hash and fingerprint fields (enclose in <tt> tags) ; RenderField() ; render_field.pl
97d16503 improve active sessions view (add author avatar column) ; session.sql
598462d0 improve styling of dialog titlebar buttons in chicago and dark theme ; additional.css
d2f4ac38 rename item_applied_labels.sql from item_applied_hashtags.sql
aed45a87 add draft item_categorize.txt prompt template
81097124 improve RunLlm() ; run_llm.pl
e5d5dc57 improve comments in utils.php
55220139 improve comments in string.pl
0f4f9875 improve comments and debug output in menu.pl
ca91eb8f add menu_color_code feature flag and feature ; menu.pl
1ec4664f improve comments in settings.js
4d81f49c Merge remote-tracking branch 'origin/master'
c7a615b0 improve comments in dragging.js
60f59f7e add some label weights and use in ordering of page build task queue ; pages.pl, label_weight.sql
c651cf7a improve debug output in IndexTextFile() ; index_text_file.pl
f1952953 add todo in menu.pl
b65f004f add todo in session.pl
f8e1f91e add author_alias to field_advanced list
b5f63d2d Merge pull request #24 from Sirni4ek/master
89b552f8 Merge pull request #25 from gulkilyjones/master
67c29892 Merge pull request #26 from Danil357345/master
16c87e39 update doc
d6846130 update documentation
e0d62d4e update documentation
c7856be1 Merge remote-tracking branch 'refs/remotes/origin/master'
4a726cd8 Merge pull request #22 from gulkilyjones/master
75bae18b Merge pull request #23 from Sirni4ek/master
a3de1ad8 organize documentation
5305cde7 organize documentation
87d5a9f1 organize documentation
c4a92acb organize documentation directory
d8cad310 add heading_labels_list feature flag ; item_template.pl
5d9f610b rename applied_hashtags to applied_labels
1b8ed01d remove profile item from hypercode theme default menu list ;
00ffaece add handler for about dialog ; handle_not_found.php, pages.pl
975cee05 add to scratch.txt
3d377a7d improve os detection code in lib_heal.pl
be9130d7 add site_name to vikusya theme
7ad9d84a add donate message to about page and add clarifying comments to about.pl (hypercode theme)
6711fd22 improve run_prompt.py
54cbd9e4 add sanity check in ProcessNewComment() ; process_new_comment.php
b9676cda add sanity check in GetList() ; utils.pl
909cbf37 implement skeleton for BakePerlTemplate() ; utils.pl
908dedb0 add comment in GetTemplate() ; utils.pl
89aa22c6 add searchable keywords in pagination_links.pl
70483f74 implement basic prompt running using OpenAI api ; run_llm.pl
7761df21 fix typo in RunLlm() ; run_llm.pl
b5ede4ef fix indentation in run_prompt.py
eccbe7fd fix comment in index_text_file.pl
0e4e2670 remove duplicate 'pages' dialog on listing pages until duplicate id= issue can be sorted ; item_listing_page.pl
3097a8a2 add html/emoji_dialog_icon setting ; dialog.pl
5a9cd184 add searchable comments in config.pl
996f6240 improve 'publish to neighbors' toolbox by providing a default list if config list is missing ; toolbox_item_publish.pl
5e05f913 improve publish toolbox
21ba159c clean up css-related settings, moving them into html/css/ folder ; config.sh reset_config.sh utils.php widget.pl config.pl operator_response.pl page_footer.pl stylesheet.pl menu.pl settings.pl
499aa35b Merge pull request #18 from gulkilyjones/master
68f14dc9 Merge pull request #19 from Sirni4ek/master
ec7bb7c4 Merge pull request #20 from Solomiiiiay/master
8b526597 Merge pull request #21 from Danil357345/master
761a2e8f testing
63029232 just testing again
a92bd3a9 just testing again
f9a2c0bc just testing again
104b9d3c test
919ee7ef testing again
b95fb815 adding some text files to doc
e96814b2 adding some text files to doc
0b6f8856 add support for setting/css/enable
d28243c7 add support for setting/css/enable
1deeb85a add css/enable default setting
c0200d5f do not show page map dialog if js is off ; page_map.pl
d7c811d8 add feature check before using feature in loading_begin.js
95f5fb0d remove inline style in clock.template
0047b8cc add sanity checks in config.pl
1651d425 remove faulty sanity checks in process_new_comment.php, utils.php
0ffec99b add sanity check if file is not created after ProcessNewComment() in  post.php
c8e23a39 add emoji strings for about, data, imagecredit
6d3a5c01 add about page to menu of hypercode theme
5d197e29 improve about page of hypercode theme
75ba5cfa improve styling of about dialog in hypercode theme ; hypercode/.../additional.css
9bc87ff5 add sanity check and error handler in utils.php
cf82d4e3 improve appearance of page information dialog ; printed_notice.template
9dfda60c add link to about page on help dialog/page ; help.template
48c47dec add some error handling in PutFile() ; utils.php
dfcd16a7 improve formatting in utils.php
f06c3910 simplify upload dialog ; upload.template
c161b895 add todo in menu.pl
527801a6 move keychain to advanced layer on session page ; session.pl
a3650323 add icon parameter for icon dialogs ; item_template.pl
053df791 add icon condition if dialog is displaying an sql query ; dialog.pl
c5c69d9b improve topics page ; topics.pl
a422acba add container template for sql queries ; default/template/html/item/container/sql.template
b365a2ac simplify write dialog ; write.template, scratch.html
9d8f560a add description for hashtag item attribute ;
29eb4e44 add new translations for words into emoji (default/string/emoji/...)
a1a5c76e add prefix_approve default setting
22c61275 Update enable_features.sh
9ed93113 add search keyword in sqlite.pl
30e12b0b move 'applied labels' and 'next/previous' dialogs on item page to advanced layer ; item_page.pl
e8aa492d add GetDialogIcon() and integrate it into GetDialogX() ; dialog.pl
d1d6352e move thread listing dialog to advanced layer ; GetThreadListingDialog() ; thread_listing.pl
91097670 add more keywords to sql formatter ; SqlForWeb() ; format_message.pl
99f56772 adjust cellpadding on dialog tables ; standard.template
f55f2640 change 'profile' to 'session' on default menu for default and shitmyself themes
903ff541 in GetMenuItem(), add 'chain' to list of menu items that need a counter ; widget/menu.pl
9a0b6564 improve welcome page for shitmyself theme
930a7fd5 add basic sql coloring ; default.css, pages.pl, format_message.pl
e115b58e improve session page intro (move more technical explanation to advanced layer to make beginner layer look more approachable ; string/en/page_intro/session
388ef4d0 remove > character from dragging.js
9aaccb68 add title to welcome dialog on welcome page in easyreg theme ; theme/easyreg/template/perl/page/welcome.pl
fd2290b2 expand `hike clean` command into `hike clean html` and `hike clean all` ; hike.sh, _dev_clean_html.sh
a0a8f9ae improve debug output in utils.pl
971a37b0 add todo/comments in ResultsetAsDialog() ; resultset_as_dialog.pl
f68ff5f7 add sanity checks, improve debug output, and make menu highlighting work on windows ; GetMenuItem(), GetMenuFromList ; menu.pl
25ac8e47 add settings dialog to write page ; GetWritePage() ; write.pl
4265f24e add searchable comment in settings.pl
5b293ba0 simplify session page for beginners ; GetSessionPage() ; session.pl
a1a5676f add debug output to GetHelpPage() ; help.pl
e48abe5c make it so that SpotlightDialog() does not hide a dialog if it is already visible, but puts it under the mouse cursor ; dragging.js
839e27a7 add option of non-zipped sqlite3 file to data page to make demo more smooth ; data.pl, data.template, handle_not_found.php
8508a278 add page_intro for write page
6b39f44a move search toolbox into advanced layer
0adf6ae0 always display search toolbox if it is enabled ; GetHtmlToolboxes() ; item_page.pl
8f594082 remove collapse button, add expand button to window titlebars ; GetDialogX2() ; titlebar_with_button.template, dialog.pl
78e9b18b add to scratch.js
8c3f62c8 add id to dialogs on item page and improve code style ; item_page.pl
95f95bc1 add skeleton for recording client-side timestamp in write.js
3fc8891d set 'sent' token to off by default, as it's new
0b55f13a add sent: header and token
28d402de rename GetWriteForm2() back to GetWriteForm() and improve comments and debug output ; template/perl/dialog/write.pl and theme/hyperlocal/perl/dialog/write.pl
181fb5db improve formatting/readability in crypto2.js
3a9bf4a1 change default reload interval of loading indicator page to 3 seconds ; ForkWithLoadingPage() ; utils.php
7c8c5a75 improve hypercode theme: add titlebar text color and default for monochrome setting ;
3b88e222 add searchable comments in SqliteGetNormalizedQueryString() ; sqlite.pl
d8147a87 add support for setting/html/page_map in GetPageHeader() ; get_page_header.pl
31373ccb add page_map setting default
1ea5d358 add setting for html/item_page/toolbox_similar_timestamp
1598eb90 update prompts.odt
606d2286 improve debug output in GetSimilarTimestampsListing() ; item_page.pl
e4327b59 create pagemap_exceptions list
eace3a19 add README.sh
9867123c add favicon for shitmyself theme
4e07083c add comment documenting how to enable bash debug mode in hike.sh
8156d2f6 update docs
76fd602e add item_attribute field names for http and https
da95a7d1 add default neighbor list
ead8ea70 fix indentation in utils.php
2aba7cb5 add condition to handle regrow_404_fork in upload.php
1a70117c add /tree.zip to urls handled by HandleNotFound() ; handle_not_found.php
d1a3c1bd add to list of directories that should exist ; EnsureDirsThatShouldExist() ; utils.pl
0244ff98 add special case for columns list when displaying 'chain' dialog ; pages.pl
2cc18770 add judge page to @queryDialogs in pages.pl
cbb17175 add todo/comment in pages.pl
cb025977 remove unused code in item_template.pl
529a690e add debug output in GetSimilarTimestampsListing() ; item_page.pl
9b661925 add image_full_size_link config and implement it in GetItemPage() ; item_page.pl
671e6f0c add option for item_limit argument in GetItemListHtml() ; item_list.pl
7f95ca63 improve display of author's archive on author page ; get_read_page.pl
6fef0b03 add todo/comment in dialog.pl
17c878d9 add comments in route.php
46294450 add regrow_404_fork to list of features enabled by enable_features.sh
4b08553e add todo in GetSessionPage() ; session.pl
218c43a3 add 'judge' dialog to $basicDialogs in ; HandleNotFound() ; handle_not_found.php
9e82e65b allow showing page map without showing menu in header (page top) ; GetPageHeader() ; get_page_header.pl
c7023b8b simplify and improve page map dialog ; dragging.js
f4c741ac add searchable comment and todo comment in UpdateDialogList() ; dragging.js
08efd222 improve union theme css: make server response dialog brighter, position dialog title buttons ; theme/union/additional.css
a5c36e8f add debug output to file_exists() ; utils.pl
41a14048 add missing require_once(index_file.pl) before calling IndexFile() ; utils.pl
3d80ac21 add todo in GetPageFooter() ; page_footer.pl
10de0051 allow slash character in script name in GetScriptTemplate() ; inject_js.pl
211403e2 add missing require_once() before calling AddToChainLog() ; IndexTextFile() ; index_text_file.pl
defec2fc add link to session page on help page ; help.template
2956de5f include informational message on keychain dialog ; select_key.template
d142092d update todo
02c4b1d1 update todo.txt
e3dbd2b1 add better filtering to calendar/date listing page ; get_read_page.pl
65d26fed filter for duplicate cookie and client id values in item attribute dialog ; item_page.pl
45aaa92e give 'applied labels' dialog an id attribute ; GetItemPage() ; item_page.pl
e81f718a add setting/html/item_page and clean up GetItemPage() ; item_page.pl
f6dbb8be add "new_page" attribute to chain next and previous links in the chain navigation dialog ; RenderField() ; render_field.pl
f30145b1 add approved keys query display to person page ; GetPersonPage() ; get_person_page.pl
475339ae add todo comments in write.js
74168039 update GetConfig() call for page_map_top in GetPageHeader() ; get_page_header.pl
5ad132e2 add support for "new_page" attribute in GetItemHtmlLink(), which prevents draggable_spawn setting from affecting the link ; item_html_link.pl
1369848c add id to AppliedLabels dialog ; GetItemPage() ; item_page.pl
d87722f1 add comments to route.php
f10fa17e add searchable comment in menu.pl
fd41dc0a improve debug output in settings.js
a32e01a1 add todo comment in profile.js
5b7c0f36 continue renaming 'Profile' to 'Session' and 'Register' to 'Begin' ; profile.template, dragging.js, profile.js, puzzle.js, profile.pl, cookie.php, route.php, enter.template, guest.template, scratch.html, session.template
06511743 add searchable comment in GetAuthorLink() ; author_link.pl
87a6d8cc improve session page introduction ; string/en/page_intro/session
9f8ac9c2 improve comments in index_text_file.pl
acae2507 add searchable comments in profile.js
b33dd9d2 do not enable draggable_reopen by default when clicking "Annoy" button, because that feature is too basic for defaults ; dialog_controls.template
2699e1a0 add to doc
bcc50ce8 add basic run_prompt.py
7d421f17 update brainstorm.txt
92cf3263 save removed utility comments in todo.txt
fb2da4de remove utility comment from titlebar.template
93689a6b remove utility comment when templating write dialog ; write.pl
96d48c91 remove utility comment when templating the titlebar ; dialog.pl
81c56923 use more appropriate settings/html/debug instead of top-level debug setting to enable outputting of debug comments in html ; dialog.pl
c4db02b8 remove accidental input in settings.pl
58053900 remove developer message from write form when templating ; write.pl
a8c7aec4 remove todo and developer-oriented comments from dialog_controls.template and titlebar.template to make the debug view look nicer. ; dialog_controls.template, titlebar.template
4d18a9d9 improve session page introduction
0877a218 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
29bf60fa Update write.pl (fix typos)
470ff9fe Merge branch 'master' of https://www.github.com/gulkily/pollyanna
0e3eebae Merge pull request #16 from gulkilyjones/master
2d12bdf2 Merge pull request #15 from Sirni4ek/master
6f22a01c Merge pull request #17 from Danil357345/master
32094c4d Update to call GetConfig() in welcome.pl
eef47804 Update to call GetConfig() in write.pl
51b05de1 Update calls to GetConfig() in help.pl
87b0ccb9 Update calls to GetConfig() in queue.pl
3fc33405 Update call GetConfig() in people.pl
b5b19cad Update calls to GetConfig() in post.pl
d11d3740 Update calls to GetConfig() in stats.pl
e4c18ca1 Update calls to GetConfig() in menu.pl
025d1f23 Update call to GetConfig() in spy.pl
47ae7a42 Update nocookie.pl
2191d57d Update calls to GetConfig() in settings.pl
5ab56e34 Update search.pl
84e5748b Update calls to GetConfig() in desktop.pl
d7858cfe Update profile.pl
71da0801 Update call to GetConfig() in etc.pl
2beb8a11 Merge pull request #14 from Danil357345/master
ca8eb226 Merge pull request #13 from Sirni4ek/master
e429e1cf Merge pull request #12 from gulkilyjones/master
a33fb590 Update calls to GetConfig() in index_cpp_file.pl
b750265c Update calls to GetConfig() rss.pl
5084cc3a Update to call GetConfig in dialog.pl
7a244504 Update rss.pl
3834d9ab Update to call GetConfig in update.pl
13642e00 Update to call GetConfig in upload.pl
fdce78a4 Merge pull request #11 from gulkilyjones/master
b1e24653 Update call to GetConfig() in donate.pl
d3f6a007 for item listing pages, add a limit of 100 until pagination is finished ; GetReadPage() ; get_read_page.pl
f1bdedfd replace setting/html/page_map with page_map_top and page_map_bottom ; get_page_header.pl, page_footer.pl
04d759b1 improve debug output in GetDialogX3() ; dialog.pl
b98b3cba add test for window.innerHeight to jstest1.template and jstest1.js
fdc5825d if regrow_404_fork is enabled, put loading.gif into html/ ; GetSystemPages() ; pages.pl
588d292b add 'introduction' to list of allowed dialog ids allowed to pass form GetDialogX() title parameter to GetDialogX2()'s %param ; dialog.pl
bea844c1 improve loading page displayed when regrow_404_fork setting is enabled ; add ForkWithLoadingPage() procedure (factor out from HandleNotFound()) ; utils.php, handle_not_found.php
865d0286 add and improve comments and debug output in: format_message.pl, item_page.pl, item_template.pl, pages.pl, server_local_lighttpd.pl, sqlite.pl, string.pl, utils.pl, handle_not_found.php, process_new_comment.php, upload.php
7f38ab66 comment out unfinished code in GetDataPage() ; data.pl
b69e5da5 add search keyword for "GetColor " in GetThemeColor() ; config.pl, utils.php
6a4eea11 improve debug output in GetMenuItem() ; menu.pl
4dceac13 only rebuild frontend if php/enable setting is changed, not any php setting ; restart local server if that setting is used when changing php/enable setting ; UpdateSetting() ; set.pl
b42a9158 add comment/todo and improve debug output in ProcessAccessLog() ; access_log_read.pl
4fc6e1f3 add index_file_on_post setting to backend configuration panel in settings page ; GetSettingsPage() ; settings.pl
9624dd71 add comments and improve debug output in GetUploadDialog() ; upload.pl
fc92cff3 add comment and todo in paste.js
4b2642d5 improve format of index.sqlite3 data export ; MakeDataZips() ; data.pl
000bd7d5 add default loading.gif to resources ; (source: thank you, archive service)
7875cd5d add to doc/concept: chain, item, label, person, public_key
3ebd0a0f improve `hike pages` command to use the queue; add saerchable comment for `hike pages` command ; hike.sh
843f0b68 move intro dialog on people page to beginner class/layer ; people.pl
596464ec fix bug with intro dialog on session page ; GetSessionPage() ; session.pl
1dc00de6 improve SpotlightDialog() to include beginner-layer, reduce code size, adjust how dialog is positioned ; dragging.js
0a0f9970 in CheckForInstalledVersionChange(), if a changelog is produced, index it right away ; utils.pl
fdded554 add GetFileLink() in html.pl
ef2eb617 add 'return home' link to top of 'item processing' page ; item_processing.template
77614f4d add RelativizeUrls() and use in PutHtmlFile() ; clean up utils.pl and add to scratch.pl
f171845e Merge branch 'master' of https://www.github.com/gulkily/pollyanna
914c7b82 improve message displayed when ascii-only mode removes characters ; utils.pl
6e0cf327 remove unnecessary extra signature separator in StoreNewComment() ; store_new_comment.php
6336e5ab improve item_processing.template
67549f5d Merge pull request #10 from gulkilyjones/master
7ba675f4 Merge branch 'gulkily:master' into master
b71f9b7a fix missing closing paren in process_new_comment.php and improve readability in ProcessNewComment()
52f9644b add draft of run_with_timeout_and_continue.py
09541978 update todo.txt
b2ce33f8 add draft of script/check_in_on_neighbors.pl
487c6d89 add setting/admin/php/post/add_task and handler
0a08fe56 if regrow_404_fork is set, do not immediately call MakePage() in ProcessNewComment() ; process_new_comment.php
32b7da77 add to scratch files ; scratch.html, scratch.pl, scratch.txt
f71103d3 improve 1337.txt and new_page.txt
e10930bf add upload to menu list in hypercode theme ;
75be7b4e add SqliteQueryBasic() to utils.php
000705e6 add class= and id= to printed notice ('Information') dialog ; route.php
fe19cc49 add searchable comments in GetSqliteDbName() ; sqlite.pl
fc0f93e1 add searchable keyword in HandleNotFound() ; handle_not_found.php
3197b0fb add todo in GetSHA1() ; utils.pl
2136962f improve debug output in post.php
036b2fd9 add session page to handle_not_found.php
56ef4ece add searchable comment in handle_not_found.php
ff15dc7f add provision for session dialog in pages.pl command-line arguments (-D session)
308e8609 add id= to the 'chain'/next-previous toolbox/dialog ; GetNextPreviousDialog() ; item_page.pl
703b529f improve comments in GetItemListingPage() ; item_listing_page.pl
27a9b81f in GetPageHeader(), improve the page description dialog for default page type ; get_page_header.pl
5b300142 in GetMenuItem() trim dialog name before outputting it ; menu.pl
f3a0ebd4 add page introduction to session page ; GetSessionPage() ; session.pl
bf776229 rename profile dialog to Session, add GetSessionDialog() stub ; profile.pl
28de5a4b add page introduction to People page ; GetPeoplePage() ; people.pl
129d6d2b add comment in GetQueryAsDialog() ; query_as_dialog.pl
24610a5f improve SpotlightDialog() and UpdateDialogList() ; dragging.js
18d40d7f add DialogIsVisible() to dragging.js
c4aeb742 make 'Minimal' button also hide beginner layer ; layer_controls.template
5883adc4 add page introduction for Session page ; string/en/page_intro/session
99497bb3 add page introductions for authors and people pages ; string/en/page_intro/authors, string/en/page_intro/people
54707249 remove dialog_list_dialog setting (replaced by page_map)
5eadbe55 add attach_log_to_item setting
0a264995 rename "dialog list dialog" to "page map" ; default/setting/html/page_map, get_page_header.pl, page_map.pl, dragging.js, page_map.template
a7a12fe4 update todo.txt
6f5da939 update scratch files: scratch.html, scratch.sql, scratch.txt
5d154716 change links in render 'label' fields to point to /label/...html instead of /tag/...html ; RenderField() ; render_field.pl
6e88e15a add count of image files to `hike stats` ; hike.sh
2d124b49 add draft of better dialog positioning for SpotlightDialog() to scratch.js
e1fc7694 add page type 'js' to MakePage() ; makepage.pl
8fddeaf0 comment out calls to AttachLogToItem(), it is still buggy ; index_text_file.pl, index_zip_file.pl
4539c0ef use sha1sum-based fallback in GetFileHash() until a better solution is found ; utils.pl
d6434cef add searchable comment and sanity check in AttachLogToItem() ; utils.pl
b9542680 remove reference to image.zip in data page/dialog until image.zip works again (it gets very big) ; data.template
211c1fd0 improve `hike stats` ; hike.sh
f4dd4c68 Merge remote-tracking branch 'origin/master'
6f52eb5c add feature flag for creating /image.zip ; MakeDataZips() ; data.pl
dceccd9d in ProcessNewCo
694d7b53 improve item_processing.template
8b65df78 improve appearance of "received and processing" response page ; GetItemPlaceholderPage() ; item_processing.template, utils.php
56c27e4a when 'index_file_on_post' is on, run IndexTextFile() twice to make up for the file hashing inconsistency bug ; ProcessNewComment() ; process_new_comment.php
50671469 add 't' (this) parameter to SpotlightDialog() and its call ; dragging.js
86f4f76b improve debug output and comments in freshCallback() ; fresh.js
f2ceb0cd change reset button to not also reprint the page ; reset_button.template
1a9d0a08 improve debug output in DraggingInitDialog() ; dragging.js
d4e357f7 improve hike.sh
0f34b4ce update todo.txt
36b01cf2 update scratch files scratch.html, scratch.pl, scratch.txt
3a233e6a update location of gitara template resource list
ebfd7209 change default value of force_profile_redirect_path setting
00040073 improve documentation for creating a new page ; new_page.txt
1834c17b improve comments and sanity checks in AttachLogToItem() ; utils.pl
5b0e2d97 replace "compile_log" pattern with AttachLogToItem() in IndexZipFile() ; index_zip_file.pl
6da704bb improve placement of dialog under mouse cursor when SpotlightDialog() is called ; dragging.js
0d821e9f continue decoupling 'profile' concept from 'session' concept ; route.php, voting.js, prefetch_head.template, identity.template, help.template, profile.template
6ece1559 add AttachLogToItem() procedure
a9605cfb add sanity check for $param{id} in GetDialogX() ; dialog.pl
95de7bf4 add sanity check in UpdateDialogList() ; dragging.js
94574310 improve SpotlightDialog(), dialog should now appear under mouse cursor ; dragging.js
31faa549 add searchable comments in config.pl, dragging.js
4fd952ba add searchable comment in hike.sh
70815ea0 Merge remote-tracking branch 'origin/master'
bde0c509 add sanity check in GetFileHash() ; utils.pl
80543960 add basic session page skeleton ; handle_not_found.php makepage.pl session.sql session.pl session.template
1c4870e7 improve unzipping of image files in IndexZipFile() index_zip_file.pl
8489ae62 add skip_pages flag to IndexFile() and IndexTextFile() ; add flag passing from IndexFile() to IndexTextFile() ; index_file.pl, index_text_file.pl
e061e054 add session to default menu lists in default and hypercode themes
d2e95b00 add comments in dragging.js
e3519fe0 add RemoveHtmlEnvelope() procedure ; html.pl
c4812502 improve clean up comments in pages.pl item_page.pl index_text_file.pl index_py_file.pl index_file.pl profile.pl query_as_dialog.pl
08984f4b html file header: add boilerplate for Edge browser in htmlstart.template
85d02bca Update item_page.pl (update GetConfig() to add setting/)
5feec70c Update item_page.pl (add setting/ to GetConfig())
20807bd0 Merge pull request #9 from Danil357345/master
0a9b77d7 Update build.pl
38c51493 Merge pull request #8 from gulkilyjones/master
9ae32007 Update GetConfig() calls in pull.pl
a233a211 fix typo in run_llm.pl
4080fa4e improve consent notice on jstest1 page ; jstest1.template
efc4134a add to git.txt documentation ;
5e76a683 add to scratch.sql and scratch.txt
4e923534 update todo.txt
6649c65f change menu in hypercode theme
02f64380 improve labels.sql to return correct number of items, rather than label applications; labels.sql
6c5c89d4 improve handling of light mode setting on settings page and remove old code ; route.php
3dfc18c1 change title of printed notice dialog to 'Information' ; route.php
7079d70d improve server response message when user is logging in, add todo item in route.php
8b25bb88 improve handling of 'replyTo' parameter in post.php
3bd1bc3d add VideoMakeThumbnails() ; video_thumbnail.pl
4cd046d3 add draft of sha1_file() to utils.pl
0d4070fb improve debug output and comments in RunLlm() ; run_llm.pl
a612d0a8 improve format of item generated with RunLlm() ; run_llm.pl
3cd2d4c7 improve GetQuerySqlDialog() ; pages.pl
7deeeb40 improve item attributes dialog ; item_page.pl
85fecb84 improve debug output in item_page.pl
7a849be9 improve GetNextPreviousDialog() to show chain order for each item ; item_page.pl
7b4a609a correct GetConfig() calls to use setting/ prefix on config names ; item_page.pl
c9a46203 highlight in log when item is being removed ; item_page.pl
26bffbcb add IndexVideoFile() ; index.pl index_file.pl index_video_file.pl
3d69508e move IndexImageFile() to separate module, index_image_file.pl ; index.pl
a6ef4b9e improve debug output in ImageMakeThumbnails() ; image_thumbnail.pl
6db5e3db improve display of query used to generate "read" page ; GetReadPage() ; get_read_page.pl
e5c9f9b6 add date_page_comment_form setting ; get_read_page.pl
5f64e6ca add date_comment.template (for adding comments on date page.)
1573d13e improve comments in 5 files
9dea4870 remove default block list, should be up to operator
5e5b90b6 add setting setting/html/menu_highlight_selected
a36bed3d add searchable comment in item_page.pl
61398ea7 improve avatar appearance and author link widget ; person_link.pl, avatar.pl, author_link.pl
373893f0 add searchable comments in author_info.pl
02085b16 add string for checkmark widget
8e03570c add feature flags for ffmpeg and video features
755ab844 add upgrade button to settings page ; settings.pl
20950d07 improve about page introduction ; about.template
153da493 update people page listing to filter by score ; people.sql
9eba4563 added entrypoint for run_promper. simply pass a file, output to stdout.
7bf13548 headder.py PromptRunner. use PromptRunner().run_prompt(prompt, model, do_print).
86adafa9 add connector for 'llm' command
4511da58 add feature flag for "llm" token
d6030cfa add llm.py
abae642c improve debug output in RunItem() ; run_item.pl
d7f420e0 add index_image_file.pl template
a9bfac11 add searchable self-reference in bad_interpreter.txt
966d7251 improve explanation on 'item processing' page ; item_processing.template
f5351c1e add notice comment about templating in access.template
c424e222 in dialog controls, make the reset button reload the page. ; dialog_controls.template
cddd5001 on bug page, include a list of most active bug discussions ; get_read_page.pl
a5ba9ba8 improve appearance of "author hasn't posted anything yet" dialog ; get_read_page.pl
8c14ba62 when an introduction dialog is present on page, give it title of 'introduction' and move it to beginner layer ; get_page_header.pl ; item_listing_page.pl
4c825be2 make changes necessary to be able to highlight menu item for current page ; menu.pl
caa005c3 improve profile.pl (fix active menu item selection on profile page) ; profile.pl
6d4475aa remove spaces from dialog names on person page ; get_person_page.pl
641372e6 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
6650fe9d add ExpireHtmlFile() and use it to replace RemoveHtmlFile() where appropriate ;
9dbd9ddc First py commit.
4049d4c4 add htaccess_block_list
2b2d4a13 fix bug in debug portion of GetFileHash() in utils.php
b5a93da1 add indexing step after `hike archive list` ; hike.sh
c9033600 improve scratch9.txt
321b67c7 add to scratch.pl (and rename tag to label in AuthorHasLabel())
8b1d2140 add to scratch.css
401d559e alphabetize labels_list column in items_label_list view; schema.sql
c59cf117 add labels_list column to 'raw' listing ; raw.sql
085636f9 add debugging option to GetFileHash() utils.php
70fc0e68 improve argument cleaning code in pages.pl
94099555 improve and clean up upload.php
ce82181c fix typo in pages.pl
fe89920e improve output when an error occurs in upload.php
60d76cc6 make IsSaneFilename() return the filename instead of just '1'; utils.pl
70a20c8c add debugging code in GetFileHash() ; utils.pl
613f015e add sanity check in pages.pl for filenames containing \r character
12e0a2e4 add debug output in index_file.pl
8826cb6d add instructions to bad_interpreter.txt
b9b8632b add chain_description.txt
88b400ca Merge branch 'master' of https://www.github.com/gulkily/pollyanna
78a18d06 add bad_interpreter.txt to document how to solve crlf line endings in shell scripts
e71797dc add to todo.txt
b0538dd9 update todo.txt
3442d5fd add skeleton for c_assign token ; index_text_file.pl, token_defs.pl
077b6430 look for config.pl in its actual path instead of the symlink which is no longer there ; server_local_lighttpd.pl
63977f09 make build.pl ensure that config.pl is in place before proceeding ; build.pl
3bf248dc change default for setting route_welcome_desktop_logged_in
e7092d32 add query for /scores.txt, different from /scores.html
63cc4971 do not automatically open keyboard frame when going to write page, even when translit is enabled, as it slows down the first page load ; menu.pl
c4abf8f1 add basic js to GetQueuePage() ; queue.pl
222212a0 add timestamp to queue page ; queue.sql
ba5f3284 improve queue page
cfcfdeac make upload.php respond differently when target page not found depending on what happened ;
21d9e171 add searchable comments to sqlite.pl
892d6335 improve MakeFeed() to make it work ; item_listing_page.pl
3a8cf637 when loading key from keychain, save the username in PrivateKeyName storage ; profile.js
895766d5 rename setting for toolbox_chain_next_previous
4e16da11 add to scratch files ; scratch.css scratch.html scratch.js
449c82cf improve guide to creating a new page ; doc/notes/new_page.txt
4c5221de improve styling (and position) of titlebar buttons in chicago theme ; chicago/additional.css
b1daf252 continue renaming tag to label wherever applicable ; index.pl
36fc90ad add printed_notice.js (placeholder)
b93d346f rename tag_info to label_info
05595ca3 improve description of image label/tag
bfef6e51 improve consent message on jstest1 page ; jstest1.template
a6c8d84e improve handling of comment text on placeholder page created for a new item ; utils.php
6921ae29 improve error reporting by upload.php
135c7cb2 remove space from PageInformation dialog ; route.php
91458498 fix bug with placeholder page not being replaced by route.php ; route.php
d4c59f2a add ItemHasLabel() function and clean up AuthorHasLabel() and IsAdmin() ; utils.pl
f0e9dd89 fix bug with putting a backup index.html file in PutHtmlFile() ; utils.pl
b8b8925f add provision for `hike page system` command to MakePage() ; makepage.pl
3c808625 if MakePage() is called with an item hash which is not in the database, also check for alt_hash attributes ; makepage.pl
5232dcce add 'nocookie' to pages which MakePage() can make ; makepage.pl
a3e5796f when generating help page, also make jstest1 page ; make_simple_page.pl
a61e56e6 add searchable comment in index_text_file.pl
e44ed446 if indexing a file which has a hash in its name, if it doesn't match the hash of the file, store it as alt_hash attribute (and append it to rename.log)
6f021f89 fix typo in nocookie.pl that kept 'no cookie' page from generating
f147d4ea when creating a label/... page, also use return_to parameter, just like on tag/... pages ; get_read_page.pl
334c57c9 on /date/... pages, create list of items at the top also ;
87532449 add comments and improve formatting
89458a7c change dialog names to not include spaces
2d91a336 improve nocookie page
9b3e617f improve selectLoadKey() to take t instead of t.value as parameter; add draft of NewAuthor and LogOut commands to selectKeyPopulate() ;
905831eb add item's self-timestamp (add_timestamp) to the chain listing
42313ce2 add item's self-timestamp (add_timestamp) to the chain listing
57a20dc1 shorten help page introduction until better text is available
b0e37f17 fix color of message displayed when html output is missing ; route.php
c2d974ad add hack in route.php to remove titlebar buttons if in light mode ; route.php
7f8fb092 add searchable comment in profile.js
64df1c72 add searchable comment in format_message.pl
32a3dff1 improve code smell in file.pl
8e7467b4 fix bug with colorizing titlebars, including the PageMap dialog ; inject_js.pl, config.pl
85f452e8 make a draft thumbnail-inserter in GetItemHtmlLink() ; item_html_link.pl
87fa6a0e improve GetDialogListDialog(), rename to PageMap, fix typo ; dialog_list.pl
067924e9 improve UpdateDialogList() and fix bug ; dragging.js
4e98f840 improve SpotlightDialog(), now works much better ; dragging.js
ee57747e improve SpotlightDialog(), now works much better ; dragging.js
e95c8d3f on topics page, include sql query output for technical user to inspect ; topics.pl
ce7961ff add feature to highlight the "Reprint" command when a page is older than 100 seconds ; utils.js
83a92f19 improve page description on Authors page ; string/en/page_intro/authors
7f598093 add searchable comments in pages.pl
b5a5e02f improve comments in query_as_dialog.pl
5582858c improve introduction to judge page in hypercode theme
cc60667f add queue page (items tagged 'queue' and not tagged 'done') ;
440daf94 improve 'write options' dialog ; write_options.template
dc8c23d5 add an id to printed time in printed notice dialog ; printed_notice.template
cf9e91ef improve message displayed when sent text/item is still being processed ; item_processing.template
bcaabf9f update caption of queue menu item
1cc27d14 rename AuthorHasTag() to AuthorHasLabel() ;
59afe43a update todo.txt
a2ebeeee improve description of chain page
defe0f36 improve message output by rebuild.sh
873ccbd6 improve GetItemPlaceholderPage() to include path and link to new text file ; utils.php
771acd18 improve comments for AuthorHasTag() ; utils.pl
e763875f switch default debug output mode to less verbose ; utils.pl
7b4926c5 do not replace hashtag token when displaying message ; token_defs.pl
844b49da improve `hike archive` command ; hike.sh
d04dfd8a add GetMenuPage() ; menu.pl
27458206 add zip/person default setting of 0
a1622561 improve person page by adding zip file of content ; GetPersonPage() ; get_person_page.pl
a4c1ab1c on person page, show 30 items from recent activity ; GetPersonPage() ; get_person_page.pl
fb137ec8 add searchable comment in get_person_page.pl
dfd831cf improve client-side puzzle solver ; puzzle.js, write.js
732a5ec7 hide sponsor page from yavista/pollyanna minisite until it is more developed.
1a748ecc fix formatting of header ascii art on README.md
1cee0759 add README.md
e7e3b411 improve readme
5200db9e add options for menu page ; makepage.pl ; handle_not_found.php
5621de23 improve documentation for adding new pages ; new_page.txt; route.php; handle_not_found.php; makepage.pl
36c45530 when a page is not finished, display "coming soon" message ; make_simple_page.pl
904b4b6f on item page, move attributes list higher in the page ; GetItemPage() ; item_page.pl
56619271 add todo in index_text_file.pl (fix no-title issue in 'my name is' posts that are not assigned a title)
68f2b7bb add missing character in person_link.pl
b9c63325 add support for setting auto_admin_first_author
546fcf21 add default for setting auto_admin_first_author
f3959b76 improve debug output in gpgpg.pl
3060a021 improve GetPersonPage() add link to zip file for person ; get_person_page.pl
1857ea6e allow checking for peron's approve status when creating person link ; add new optional parameter to GetPersonLink() ; person_link.pl
8dfe8181 if an avatar is approved, add checkmark symbol ; avatar.pl
879074d8 improve comments in dialog.pl
896297ac move pending users to admin class ; people.pl
3c2a6df4 add an input field for the solve puzzle feature ; write.js
e4ab461b improve language in select_key.template
227f3b5e add searchable comment in dragging.js
cd41d40f improve keychain dialog to display selected key ; select_key.template
3a899371 sort authors list by time seen ; authors.sql
c636b068 add to scratch.js (new draft code and fix tabstops in other sections); add to scratch.txt
9f822a7b add comment in utils.pl
dd30d997 add comments in make_zip.pl
31cf2ef8 add searchable comments in data.pl
a9421c2c add comment in crypto2.js
305dfddc add saving of key names in client-side keychain ; crypto2.js ; profile.js
8e31ff6c fix bug with unicode strings causing an item page to not generate ; utils.pl
1dca3bea add option to make statusbar an advanced layer widget ; item_template.pl
a1e3bf74 fix indentation in settings.js
82cb6184 improve selection of image alt tag in GetItemTemplateBody() for image items ; item_template.pl
a34f7887 improve debug output in image_container.pl ; fix warning if $imageAlt is not set ; image_container.pl
b2144c7c on profile page, if currently selected key is in keychain, ensure that the keychain dropdown is set to that key's option ; profile.js
ae4e9b4f offers options to control user interface
bc0a9f8e add support for verbose debugging (when each line is not trimmed to the first \n) ; WriteLog() ; utils.pl
a8ce67c9 allow passing of %data hash to GetScriptTemplate() ; inject_js.pl
c54de663 if #approve label is used, remove cached people.html, as it needs a refresh ; index_text_file.pl
717f8f58 allow #avatar label if author has #approve label ; IndexTextFile() ; index_text_file.pl
02ef4622 improve GetPageHeaderWithoutMenu() to make a title based on page type if one is not provided. ; get_page_header.pl
39228b3b add template for nocookie (please register) page and integrate it into post.php
4950ad62 add GetPageFooterWithoutMenu() and GetPageHeaderWithoutMenu() ;
036ce5f6 make comment field in jstest1 ask user for their browser info
5966bad0 in MakePage(), add require for make_simple_page.pl, because it is not always there by default ; makepage.pl
880d01b1 add comments in html.pl
232f1912 add support for making columns an advanced layer in GetDialogX() ; dialog.pl
6c9756c4 add support for setting html/item_template/heading_advanced in GetItemTemplate() ; item_template.pl
92ed04e1 adjust markup for header_wrapper.template to allow adding class to heading ; header_wrapper.template
273e2b80 continue cleaning up tag listing page
5ad8047b clean up tag page to have less stuff on it by default
e3bdabcf when indexing a new public key and auto_approve_first_user is on, uncache the people page ; gpgpg.pl
7e4260b5 improve reset button in dialog_controls.template
6e77d5ef add confirmation to reset button ; reset_button.template
d4f66b33 when making a public key page, include author info box
964330fd apply temporary fix for hashtags not being applied to parent items, caused by empty 'message' parameter in token_defs. needs a better fix though. token_defs.pl
a5110974 make "puzzle_input" field also a textbox in item attributes ; RenderField() ; render_field.pl
a02c44f9 improve sanity checks and debug output in index_text_file.pl to be more granular
3c9e5d61 undo changes in hike.sh which broke it in bash shell
1cb51be7 update todo.txt
fc5c3ae6 update hike.sh to be more compatible with the tcsh shell
a95d31fd improve help_diagnostics.template
18cab147 make an exception for parent token (>>) to not be replaced in the parsed message, so that item link remains in place ; IndexTextFile() ; index_text_file.pl
fe62c35a make an exception for parent token (>>) to not be replaced in the parsed message, so that item link remains in place ; IndexTextFile() ; index_text_file.pl
30be5198 add feature php/post/handle_browser_test
dcd0eb00 in dialog controls, add 'return false()' to reset button's onclick event
cc2f55a2 add 'topics' to allowed dialogs
77ea74d8 add searchable comment in inject_js.pl
96c47a44 use GetConfigValueAsArray('setting/admin/image/allow_files') instead of hard-coded list of allowed image file extensions
aeb8bcd8 fix indentation and style in dialog/upload.pl
5f88854a add GetConfigValueAsArray() in config.pl
12029161 add searchable comments in utils.js
e77eb6d8 change reset link in dialog controls to not reload the page
4fe8c75e add comment in config.pl
6fdedfd5 update doc/known.txt and doc/todo.txt
914ede08 continue refactoring #imagetypes
c3408159 continue refactoring #imagetypes
94123830 add tiff and tff extensions to default image/allow_files list
5c209609 add handler for 'parent' field to RenderField() ; render_field.pl
bcda4044 update pollyanna mini-site
82583d6f update whitepaper file
9cc6ab18 improve pollyanna mini-site
a026d265 add hike.sh
7fded565 improve hike.sh
8ba78b71 improve styling of pollyanna mini-site in yavista theme
70d49047 fix indentation in pollyanna/index.html
79088160 update todo
447c903c improve polllyanna page in yavista theme, add portale_profile video thumbnail
c5c1400b add note that code has not yet been run on code items ;
0ac1796b add portable profile to videos
28e78fa3 fix misspelling in readme.txt
8c069790 add screenshot for sponsor page to pollyanna mini-site
a047256a improve pollyanna mini-site in yavista theme
63f450a8 improve pollyanna mini-site in yavista theme
9c434a38 increase default limit of stored files at which rebuild fails with a warning; rebuild.sh
5e523b11 add to scratch.html
6e108390 improve pollyanna documentation mini-site (yavista theme)
07c653c3 make index log output more accurate index_text_file.pl
80001fd2 remove checkbox for feature which doesn't work fully, uncheck_sign_when_pasting
63c6040d add more screenshots to doc
93eab8a1 reset labels page to include capitalized labels as well ; labels.sql
45e21cb5 improve pollyanna index page ;
0e4b1298 add TrimPathLeaveExtension() in utils.pl
06c1cd3e add hack for generating pollyanna description page in yavista theme
3b011b83 add self-describing pages and screenshots
ad2a6868 update readme - change software name to "Pollyanna" ; README.txt
767ba6bc clean up the repo root some more
ac96fa29 clean up repo root directory
68f06467 update readme with new banner
d6d9cb1a fix sanity checks in render_field.pl
91d10399 fix missing avatar bug ; author_link.pl, avatar.pl
8f51c005 display sql query on Judge page
769a8615 add Settings to hypercode theme menu
211a27da add author_id field to judge.sql
b3ab7153 improve comments and debug output in utils.php, query_as_dialog.pl, pages.pl, render_field.pl
256a6adc improve debug output and comments in profile.js
d4950174 add caller reporting to warning in inject_js.pl
48593141 improve the figuring out of $fileHash in GetItemTemplate() ; item_template.pl
9b5c60fb update todo
0a641035 in schema, add constraint that item parent cannot equal itself ; schema.sql
263aff91 improve token_defs, making tokens that should be case-insensitive use 'mgi' for mask params, and setting constraints on child token ;
e7aff8a0 when running `hike reindex`, chain should also be reindexed ; hike.sh
e0234e69 in hypercode theme, add Chain to default menu
c9f5f57a add searchable comments in sqlite.pl
61dd8c2c on chain page, link to chain.log instead of including it in page ; GetItemListingPage() ; item_listing_page.pl
f2353237 add handling for child token in IndexTextFile() ; index_text_file.pl
df53aade add to @validTokens and improve debug output in IndexTextFile() ; index_text_file.pl
207cd214 in upload.php, add check for "replyto" parameter before using it
322ffd2d fix bug with apply_to_self tokens not working ; index_text_file.pl
1aeb4a54 add column caption for solution_count column/field
1d43d3ac improve Judge page and judge.sql query
56193ce9 add Labels and Write items to hypercode theme's default menu list
8351eedb improve comments for IsItem() ; utils.php
1c4e6b40 improve upload.php, add sanity checks and comments for the "reply to" feature ; upload.php
ea8fb520 simplify GetAuthorLink(), remove unused second parameter "$showPlain" ; author_link.pl
10eb4bba add searchable comment in html.pl
c190f41e create basic version of avatar_link_to_person_when_approved setting
234ff2e7 add labels to lists of dialogs that can be made ; handle_not_found.php; pages.pl
28ac5458 add to todo.txt
663a9138 add to scratch.html
5fc8d7e3 add option to generate label pages to HandleNotFound() ; handle_not_found.php
9847a15b improve debug output in handle_not_found.php
d0ab1105 add option to send response to client and fork page generation in HandleNotFound() ; handle_not_found.php
72f6a480 add child token ; token_defs.pl
b56a8ac1 improve DBGetTopLevelItem() ; sqlite.pl
3f06299c add to git.txt doc
f87b47e8 add judge page to hypercode theme
7485d021 add judge page to hypercode theme
e3820c01 improve debug output in GetThreadListingDialog() ; thread_listing.pl
42fe895f improve help page ; help.pl
a89a91a0 move GetUploadDialog() to separate module, dialog/upload.pl
dfe04e38 on item page, if item has 'problem' tag (and this token is enabled) display upload dialog with reply
8ddef619 remove advanced class from menubar and statusbar in yavista theme
8bcd9b01 add upload_reply.template
b1f5834e add feature flag default for child token
580b4874 fix and improve sanity checks in str_replace() ; utils.pl
a7f125ca change reported name of framework on yavista theme welcome page
dcb65393 add token/avatar setting
cf348acd make threads page sorted reverse-chron by default ; threads.sql
266837c5 update todo.txt
a8edb1bd Update menu for yavista theme
a0b2c069 improve debug output in string.pl
d8e3b76d refactor-consolidate tag/vote/action concepts into label concept
b32ff67d update doc/
de368cb3 remove hike flush command because it doesn't work right
b9be761f add module item_label_buttons.pl
6c9fb33b add strings for label-related fields labels_list and special_title_labels_list
546986d8 add setting/zip/label default and labels.sql default
8435cf6d move execsum.template to shitmyself theme
b94980c6 add label and label_count field names
894d8b41 add to system tagsset
f9d9d189 add regrow_404_form setting default
7cfa854f update todo
6c0868ab add to scratch.html and scratch.php
33552ad9 change tagset/author template default
65c3e6d9 change name of setting to be consistent with others
a672943c add close button to small keyboard and improve appearance ; keyboard_a.template
ecd57ee0 implement handle_404_fork ; handle_not_found.php
f431b757 add to todo
2ee93d62 add clarifying messages to self-admin messages in index log ; index_text_file.pl
f0a082ad Merge branch 'master' of https://www.github.com/gulkily/pollyanna
36240b2c rename DBAddVoteRecord() to DBAddLabel()
e02cddfe improve debug output in case of an error in upload.php
c0055682 add to scratch.pl
50968c34 when indexing a zip file, also extract images ; index_zip_file.pl
c230138e improve people page by changing name of Awaiting Approval dialog ; people.pl
890f0143 add some error checking around JSON.parse() calls in settings.js
55727f60 implement basic version of draggable_reopen feature ; dragging.js
3ee93041 only make ForceLogin() do its thing once per page load ; profile_auto_register.js
dc090d64 begin adding "reopen dialogs" feature in dragging.js
5e58d80d update todo
3e792d9c Merge branch 'master' of https://www.github.com/gulkily/pollyanna
0fe447b3 update todo
d5a9cfee add -auto-orient to convert command to generate image thumbnails ; image_thumbnail.pl
68bacbd3 add comments in reply.pl, format_message.pl, get_page_header.pl, get_read_page.pl, gpgpg.pl
3acbdb3d add GetIntroDialog() and use it on the help page ; pages.pl, help.pl
21ca844d add #imagetypes tag wherever allowed image types are specified (needs refactoring and consolidation)
fa81fc8f add cart column to queries ; new.sql, people_guest.sql, people_pending.sql
1986aab7 improve introduction for jstest1 page ; jstest1.template
83935abf update todo
ae3f7d2c add comments to dragging.js
5adc69a9 improve default page intro string for help and read pages
1042fe67 Update todo.txt
2a66599c add todo in item_page.pl
40436526 improve introductory message for new page
5f27db6a add search keyword in chain.pl
89338830 add search keyword in get_read_page.pl
92154c92 improve debug output and add fallthrough handler in RunItem() ; run_item.pl
ca86582a Merge branch 'master' of https://www.github.com/gulkily/pollyanna
66a7ca17 hide public keys from threads page ; threads.sql
fde1a84b improve logging done by RunItem() when running python files ; run_item.pl
c9a255ec improve code smell in pages.pl
da41d6f1 add comment to write.template
939daa78 add comments in pages.pl
02bbf467 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
9c685add merge
e5ed2b69 update todo.txt
ab259221 add searchable comments in store_new_comment.php
9d173fb9 allow applying date token to parent items ; token_defs.pl
5fa93c5d add comments in pages.pl
cad87e82 add comments to GetQuerySqlDialog() and add contenteditable attribute to displayed query ; pages.pl
13ba5835 improve debug output in GetNextPreviousDialog() and do not display links to non-existent items ; item_page.pl
9333b58d improve WriteItemListingPage() : use GetQuerySqlDialog() to provide query, and improve appearance of "no results" dialog ; item_listing_page.pl
f1112559 comment out RunPyItem(), as it is not in use ; index_py_file.pl
c160e248 add query display on calendar, people, and date pages ; calendar.pl, people.pl, get_read_page.pl
082ecccb add necessary feature check in settings.js
69f7a27f add comments
5711ee1e improve stats dialog -- add people count, move authors and tags to advanced layer ; stats.template, stats_table.pl
537faebe make sql query display dialog editable on browsers that support contenteditable ; default.css
1094f049 improve calendar page queries to ignore item_attributes entries without parent items ; calendar_days.sql, calendar_months.sql
a80dab65 improve title wording when public key is published
37ead32f update todo.txt
9ebd134e fix link to person page in GetPersonDialog() perl/widget/person.pl
95e6a9f0 add test for window.JSON to jstest1 page
372a79ac improve comments in crypto2.js and add a couple of todos
aee69486 improve comments and debug output in access_log_read.pl
06794e14 add searchable comment in inject_js.pl
7c1861d4 add people to menu list template in sm theme
c9c13beb fix injection of parameters into puzzle module by InjectJs() ; inject_js.pl puzzle.js
ab1d035e add comments in dragging.js
fca2d9b5 add searchable comment in thread_listing.pl
9c1db085 add author_id column to 'recent activity' listing ; get_person_page.pl
cc4c64a8 improve debug output in item_page.pl
30f83ce5 fix python file support and improve debug output ; item_page.pl, run_item.pl
1d05d840 add searchable comments in index_py_file.pl and run_item.pl
80c9e351 fix bug in view item_attribute_latest schema.sql
dd8d894b update bug.txt and todo.txt
4bbcc684 improve error messages output by upload.php if upload doesn't work
8575d0ab improve intro for topics page
cd88471a Merge branch 'master' of https://www.github.com/gulkily/pollyanna
855d2b30 add to scratch.html
b70907e1 add comments to index.pl
8ac47a40 add default for write_listing_txt setting
64b01bad Merge branch 'master' of https://www.github.com/gulkily/pollyanna
44bda9b3 index.pl: print a newline before "--all finished" message ;
af953339 update todo.txt
1a16cc76 add doc/tips.txt
62157f1e add DBI-based sqlite draft to scratch.pl
232503eb improve smell in sqlite.pl
fb75ace9 improve debug output of SqliteQuery() ; sqlite.pl
acce531a add author_pending_keys query template
67bf2b5a improve smell in item_list_as_gallery.pl
7966a390 in GetItemTemplate(), when outputting an image item, link the image to the item's page ; item_template.pl
37afdc0b add searchable comment in item_listing_page.pl
e16cd3d3 improve debug output in GetImageContainer() ; image_container.pl
dff65ec2 add todo in MakeZipFromItemList() ; make_zip.pl
62894bc6 add skeleton feed_pull.pl
506dd294 add sanity in GetItemHtmlLink() ; item_html_link.pl
25940d26 add sanity check in GetChainLogAsDialog() ; chain_log.pl
b65b89c1 comment out non-functional code in getfeeds.pl
308067fe add search string comment in makepage.pl
79fb7ac2 improve readability and debug output of GetItemListingPage() and fix a bug in one sanity check ; item_listing_page.pl
d218d95a improve sanity of GetItemListingPage() ; item_listing_page.pl
d9b6691f add menu list template to lisonok8 theme
290c9743 improve welcome page lisonok8 theme
4d5940a2 add welcome page html template to lisonok8 theme
ed423582 add draft of GetAuthorPendingKeysDialog() scratch.pl
35418c36 fix typo in author_replies.pl
944f5bfe add 'key is approved' message to approved author pages ; author_info.pl
14ac3290 add to scratch.sql
4dcb1aba improve sanity check in PutHtmlFile() ; utils.pl
0518a741 improve documentation
82aff21f update todo
a05ba3c6 add page_intro/topics string
c3efde6b improve GetTopicsPage() ; topics.pl
2b948b45 add to scratch.sql
e9643e27 improve debug output in PutFile() utils.pl
eed4b176 add file_path feed to text files output by MakeFeed() ; item_listing_page.pl
7b6b73f7 add necessary js in GetTopicsPage() topics.pl
f0435a7a add searchable comments and improve formatting ; sqlite.pl makepage.pl item_listing_page.pl author_replies.pl
34d4f8a3 update todo
d183781b add tagset_pending and cart columns to pending keys dialog on person page ; get_person_page.pl
a885b52c add search keywords in chain.pl
f33ecdd8 fix mistake in query for pending keys for a person ; get_person_page.pl
dd44d884 improve topics page and add to default menu
9e2da8c1 improve debug output and add check for js support in GetPasteDialog() ; upload.pl
ad599002 improve formatting of author_replies.sql
62b5b75f add tagset_chain and cart columns to chain view ;
17ba38c1 add direct call to ShowPreNavigateNotification() with OnUnloadEverything() in InjectJs() ; inject_js.pl
e2786d24 add draft OnUnloadEverything() to utils.js
3c5d76d1 add query for unapproved keys for a particular person to scratch.sql
200c28f7 add search query to author_replies.pl
b84d8721 add search string in loading_begin.js
45dc8cfd improve comments in makepage.pl
f55e8c52 update todo
850c2d20 update tags page to only include non-lowercase tags ; tags.sql
bfff9688 improve comments in GetResultSetAsDialog() ; resultset_as_dialog.pl
4672e433 add support for list/field_admin to GetDialogX() to finish resultset display ; dialog.pl
e5b569db add toggle setting for attrib_tag token
d2535835 improve comments in token_defs.pl
a73b2c75 add support for admin columns in resultset dialogs ; resultset_as_dialog.pl
e9e56b19 improve debug output of in_array() ; utils.pl
ec695e93 improve hike.sh
2d66b9dd disallow single quote from my_name_is parameter ; token_defs.pl
dbb1c974 add feature to allow auto-approve of new usernames' first public key ; index_text_file.pl
d7b1327c add my_name_is to list of valid tokens ; index_text_file.pl
17211e17 restore chain.log after site archive is done ; _dev_archive.pl
019bc747 separate out pending and guest users on people page ; people.pl
a6b22068 improve "share public key" feature ; write.js
7a316074 update todo
15f2a78e add field_admin list
2cbf4633 add todo
53059d0c improve dialog explaining what a public key is on item page, GetItemPage() item_page.pl
4843325c improve person page, GetPersonPage() ; get_person_page.pl
912ef7bd add comments in write.js
a775c91e remove buttons from interface mode dialog ; access.template
a53cdc09 improve debug output in HandleNotFound() ; HandleNotFound
440215c8 add row_0 and row_1 colors for panera theme
86d8f558 add image_without_link.template template
a9aded0e add handling of special perl files in hike.sh / hike refresh
b50bb854 add to todo
6e418fed improve messages to user in jstest1.template
7c6c557d add exception for jstest1.html in PutHtmlFile() ; utils.pl
ecd99c37 add attribute_count, attribute_list to acceptable fields in RenderField() ; render_field.pl
a79a1deb remove cart button when rendering a tagset field ; fix sanity check ; render_field.pl
667f1a7a add puzzle_result field handling to RenderField() ; render_field.pl
ea35fa7a add attributes related to puzzle in puzzle.pl
0a127d0f improve 'Applied Hashtags' dialog on in GetItemPage() ; item_page.pl
7dd2fe01 improve handling of no-link containers in GetImageContainer() ; image_container.pl
17cc2db9 add auto_approve_first_user setting and code to make it work
ac599927 improve comments
57fae292 improve person page ; get_person_page.pl
5dba05d9 when displaying public key on write page, expand the textarea to make the text fit ; write.js
111c7aa4 improve person dialog - image should link to profile ; person.pl
36aa7a5a improve template_refresh.pl
8ec9cf63 add todo in author_link.pl
a53f78ab when inserting public key into write page, uncheck the signature checkbox ; write.js
1c5962f8 add link to republish public key to profile page ; profile.template
4ed3647e add todo in settings.pl
64ce0829 improve people page
f40a036f add comment in settings.pl
adbe5e19 improve comments in query_as_dialog.pl
c10f26f2 improve dragging.js
0ae6311c add support for 'pages.pl -M settings' and 'hike page settings'
08299ce0 remove unncessary include in author_replies.pl
48c6cd84 add search keyword comments
cb3bcd9f add comments and search cues
8ba6cbab update todo
717eb930 remove stats dialog from settings page to make it faster ; settings.pl
88248690 fix GetTemplate() include issue in utils.pl
4fb0eca4 improve comments in config.pl
96216f23 improve debug output in get_template.pl and utils.pl
d3c3db73 add html/global_message and string/server/global_message
5edebb7f improve item_processing.template and related code in utils.php
9e4d1f41 add todo in route.php
9c708f2c add setting for site_name to yavista theme
61041dc8 add comments in table_sort.js
f747a807 rearrange annoyances dialog annoyances.template
37ca33cb optimize query in DBGetVoteCounts() sqlite.pl
1c62f51d cleaning up makepage.pl
6c10bc72 do not show 'applied hashtags' dialog if it is empty ; item_page.pl
ba7922ca rename writeSubmit() to WriteSubmit()
6e7563c9 add support for htaccess ip block in pages.pl
cc161b9d fix query in DBGetVoteCounts() sqlite.pl
4f3a0ab7 improve DBGetVoteCounts() ; sqlite.pl
cc2be8c6 do not call MakePage('read') from MakeSystemPages()
502d38e2 Merge remote-tracking branch 'origin/master'
aabe0e6a only show items with scores >= on tags page ; get_read_page.pl
d1be7fe7 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
9a1563cb add comments in handle_not_found.php
04263be3 add topics.pl and topics.sql
01ac04de update new_page.txt
7bf333cf add todo in sqlite.pl
c6717d14 add topics page basic version
1965c39a update todo
e34f6392 update todo.txt
29702961 add comments in tag_link.pl
7de1e338 improve debugging in make_simple_page.pl
11befe41 change behavior of Tags dialog by only displaying tags with at least one capitalized character ; this way, lowercase tags become system tags.
22b7f99b add get_tag_page_header_links.pl
27f882fd add todo in query_as_dialog.pl
26ff34e1 add search string in dialog_list.pl
d3d55068 removed advanced layer from dialog controls ; dialog_controls.template
4007e6ec add 5s timeout to pages.pl call in HandleNotFound() ; handle_not_found.php
daac687b improve documentation
bb901792 fix duplicate function definition in utils.php
605e6716 add basic brew instructions to 1337.txt
14e7f7c9 update todo
5ee0ef5b improve consistency of self-naming of software
d0c56f54 add comments to GetPersonPage() ; get_person_page.pl
2973997d clean up doc/inbox/
858e2871 update doc/draft/dreamhost.txt
2d8ff8c3 improve utils.php
f575124c improve sanity in index() ; utils.php
66a1e79b improve comments in utils.php
c83dd4ba add author_approved query
a4ee588a add item_client view in schema.sql
aafd966f update todo
9ba391c6 add sanity check for reply_cart.js presence if reply cart buttons are on the page in PutHtmlFile ; utils.pl
f214e36d improve code formatting in sqlite.pl
48b91488 allow parentheses in my_name_is token
3f9674c0 sort field_advanced list to make it more human-readable
93bfd5e1 rename windowAnchor to dialogAnchor ;
6524ddb8 add tagset_pending to field_advanced
2c93810c add FormatDateAbsolute() and replace timestamp widget titles with full timestamp ; widget.pl
371b4588 add search query to expire_pages.pl
2c3ba5c9 add todo.txt
d9c64962 add move cursor to titlebar when initializing dragging mode ; dragging.js
9c54dffd ignore anchor links when showing pre-navigate status indicator ;
77c96dbd improve debug output of MakeZipFromItemList() make_zip.pl
b9aa4cc9 comment out buggy code in get_read_page.pl
eae4c084 add timestamp to people_pending list
58c1c488 improve debug output in route.pl
0ee866a3 fix bug in chat.pl
46eedb28 improve appearance of server response message in hypercode theme
f6bb0fe5 add writing of paste dialog to MakeListingPages() ; pages.pl
199f12c4 add todo in get_template.pl
12290099 add to hypercode theme default stylesheet
4dc04c01 re-enable listing of changes in changelog announcement ; utils.pl
ae33f5b2 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
fe6ae813 make server response more visible in most browsers in hypercode theme hypercode/additional.css
0f63d3dd improve server error page route.php
ea2f1647 add search strings to chain.pl
e1ab163e Update test5.html
2fdadc9e add GetDonatePage(), donate page message template, and allow donate page in list of valid pages
814629c4 add debug output make_simple_page.pl
e4fbd828 improve comment item_listing_page.pl
5c0da88b add comment get_item_listing.pl
d85e2926 fix syntax error in utils.php
b2378d47 improve debug output in utils.php
a62d184e add comment in handle_not_found.php
bacd9f24 update todo.txt
5ba884d1 fix indenting in GetSimpleWindow() simple.pl
74513d7b add donate to $validViews in handle_not_found.php
eeebf970 improve debug output in handle_not_found.php
cd831f69 make output of `hike stats` nicer by editing hike.sh
6c23aadc update todo
a28145f7 update todo
7e52db1d add support for background color in PutHtmlFile(frame.html) ; utils.pl
843bc0e7 add sanity check in RenderField() ; render_field.pl
aa6a8313 add gracient to titlebars to improve appearance in hypercode theme
64eb83b0 fix mistake in people_get.sql
2b3050d9 add todo to SqliteGetValue() ; utils.php, sqlite.pl
62cacae1 fix person_avatar.sql
ba15a877 add debug output to GetPersonDialog() ; person.pl
83f8cee0 add option to use #hashtag as parameter to 'hike page'
fdb0edc9 improve debug output in pages.pl
4cc49e29 improve formatting in makepage.pl
517de2d5 make empty inbox dialog look nicer (route.php)
4e7e5432 improve people_guest.sql
d8dbbbae Merge remote-tracking branch 'origin/master'
8f96519a improve guest users list on people page
af306317 Merge branch 'master' of https://www.github.com/gulkily/thankyou
59684ef4 improve variable names in get_page_header?.pl
a0896a86 add draft of clean_cache.sh
96a6a720 Merge remote-tracking branch 'origin/master'
7bc70560 add search keywords in item_listing_page.pl
9835328e improve people page: add reverse-chronological search and add guests lists
53ded6dc move "pending approval" query to a template ; people.pl
4e8eef57 improve 'Pending Approval' dialog on people page ; people.pl
c5f77bd6 add pending tagset and use it for pending authors list
e9c3cc77 add GetPersonLink() ; person_link.pl
bfbf48a0 update todo file
e77b24dc add to scratch.css
a60b6ec3 add comments in route.php
95fc3f59 add handling of /person/... pages to handle_not_found.php
cd4f9c8b add comments in utils.pl
80772077 add comments in sqlite.pl
2f1d33c4 add todo in resultset_as_dialog.pl
b0bd84cd pages.pl: fix bug with generating tag_dozen.sql
20d4155c pages.pl: improve making of dialogs with -D
c54c9e51 add search string in makepage.pl
7862342d improve person page
b3256d22 improve debug output in dialog.pl
237b4899 put +cart/-cart button into <nobr> tag so that it doesn't get split due to wrapping ; add_to_reply_cart.pl
88603fef add reply cart js to people page (when feature is enabled) ; people.pl
07883c9b improve debug output in query_as_dialog.pl
83006a53 improve people.pl
409f6a6b improve person dialog ; person.pl
0ce32294 improve people page ; people.pl
2765ad01 add search string in query_as_dialog.pl
0bea734c add people page to menu (replace authors page)
93614553 add search query in settings.js
20bf4f15 open settings page if settings dialog is already open ; dragging.js
0dfa79ef do LoadCheckboxValues() when Annoy button is clicked ; dialog_controls.template
f3afc6b6 add person_author view in schema ; schema.sql
701c64cc add requirement for approved keys only to people.sql ;
341ad68c improve comments in dragging.js
2f436d31 add search hints
0213cba5 add missing closing parentheses in item_template.pl
096d4c62 add sanity check in GetItemTemplate() ; item_template.pl
00633a59 add search keyword in dragging.js
676ad3d9 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
397265cb add debug output to GetResultSetAsDialog()
82959807 add sanity check and debug output to HtmlEscape()
386dfb7e add to scratch.sql
34c4e34e update todo
a0b0222c update todo
357cf0c4 add person_avatar.sql basic version
d1439dc6 remove call to MakePage() from MakeChainIndex() because it's not necessary to do due to initial indexing ; chain.pl
8aaf99d7 add GetPersonDialog() and factor it out of GetPeoplePage()
97384129 add person_flat view to schema
f55dff7c improve comments in token_defs.pl
5cecc792 remove duplicate entry for html/* in .gitignore
8dc5e60b add border-color for text inputs in amber theme
388ac9b6 add basic js option to person page get_person_page.pl
91d50bef add readme for css_footer setting
40136a69 add search keyword in item_list.pl
916f000f remove deprecated code and add todo in makepage.pl
936ad396 add connectors for person pages
edf62e29 add GetPersonPage() skeleton ; get_person_page.pl
d06a914d add more options to MakePage() and `hike page`, allowing to specify item hash, hash prefix, author fingerprint, and date; makepage.pl
20b834f3 add search string to resultset_as_dialog.pl
fd597a74 add to scratch.pl
b7f4f66b add clarifying comment in settings.js
01c2eb4f update todo.txt
57284723 add draft of "authors with same name" dialog and query
70a1c998 add search keyword in sqlite.pl
ca9096c6 update todo.txt
ecd67122 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
ce9d2298 improve description of 'pubkey' tag
2d12a45a improve spacing in utils.js
dde1d7c0 add option to arrange dialogs on page when viewport is resized (used to be default)
fd0c30b7 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
e6015b57 remove old comment in token_defs.pl
b2d9f5a8 add search strings in sqlite.pl
c7b34034 add todos in index.pl
9faa0ec2 when adding a "chain_previous" attribute to an item, automatically remake that item's page in MakeChainIndex() ; chain.pl
e64e83af add comment in index_text_file.pl
f10e80c8 add additional warning in _dev_archive.pl
deab54a9 improve indentation in token_defs.pl
e887a83f fix capitalization of an output string in get_read_page.pl
83e8e65d add comments in chain.pl
7926bb1a add author_threads.sql.txt (description for author_threads.sql)
a0c77145 add item_score to author_threads query (displayed on author page)
17520231 improve formatting and add todo in utils.js
4ac60886 improve comments in and remove GT character from history.js
daa4ee55 update todo.txt and brainstorm.txt
a548e667 add debug output and improve indentation in GetDialogListDialog() dialog_list.pl
cbfdec19 fix indentation in get_read_page.pl
4a93860c fix indentation in perl files
ad656d41 fix background image url in phoenix theme ; additional.css
6ff13337 add to scratch.php
b1ba8e5a add debug output in route.php
bfebe331 improve code smell in scratch.pl
712882e7 improve code smell in route.php
62b41909 improve ReplaceMenuInAllPages() replace_menu.pl
f9299a90 add <fieldset> to select_key.template
792481b4 add <fieldset> to welcome.template
a32e7adf add <fieldset> to dialog_list.template
3e2532e1 add todo in dialog.pl
7ec3c8bd add tree.zip to data page
2af6b19a update brainstorm.txt
ed8c4249 change field names from last_seen to author_seen
6cb72f8e improve about page in hypercode theme
2b4d296d add debug output in route.php
8ca19b73 remove unused code/comments in route.php
c87c6c87 update config paths in route.php
3034b8d1 Merge remote-tracking branch 'origin/master'
d73416c9 improve searchability in store_new_comment.php
73546c6b add skeleton for storing user-provided fingerprint in route.php
167923c2 add skeleton for ReopenDialog() dragging.js
56025f3e improve spacing in related.sql
300e83d2 remove experimental "normalized hash" feature
8c164dba improve formatting in route.php
b1bcc381 add support (skeleton) for user-provided fingerprints
7417d151 improve formatting in related.sql
d45f3609 add message_hash to fields used by 'related items' query ; related.sql
ae1c10a7 improve formatting in route.php
e5bdc07d add skeleton for user-provided fingerprints in route.php
bc8a20d9 fix indentation in index_text_file.pl
baa0f1c5 trim version returned by git before using it ; route.php
98f0cfd1 fix bugs in route.php and utils.php
89040c67 add menu controls feature to enable_features.sh
105ee364 add people page to views dialog on help page ; help_views.template
1760725e decouple apply_to_parent from apply_to_self index_text_file.pl
0024ed17 replace GetTemplate() in utils.pl
cb615279 add apply_to_self parameter to tokens where appropriate in token_defs.pl
c8cffe2d rename query templates to have .sql extension so that editor is more likely to color-code them correctly
228e0cb9 remove code that doesn't work is not needed get_template.pl
97881777 add require_once() for write dialog in write.pl
ad9365a5 add get_template.pl and move GetTemplate() there ; add a shim for auto-adding ".sql" to query templates
7a1d7e86 add warning about author not having a public key to author info box ; author_info.pl
bac15bb9 Merge remote-tracking branch 'origin/master'
0dd5e87f add comment to token_defs.pl
3134289b improve searchability of get_read_page.pl
e1633111 Update todo.txt
4559a60d improve hypercode about page
5ff33c42 improve hypercode about page
311559b5 add todo in config.pl
b6733ddb add about page to hypercode theme
e7872939 add code for writing txt feed for item listing pages ; item_listing_page.pl
dda523b6 improve MakeFeed() ; item_listing_page.pl
b5341c5d add comments to upload.pl
27adf0f7 add notices about templater activity to upload forms
9881548e improve readability of upload.pl
9b3825e6 rebuild frontend when a php module setting changes ; set.pl
00c00aaf update todo.txt
f084450b fix mismatch between 'python3' setting and 'py' files
5f0fe2c9 Merge branch 'master' of https://github.com/gulkily/pollyanna
27e07150 update todo.txt
156d2ce2 add UpdateSetting() and integrate it ; set.pl
fce0326f update todo
de4a02dc Merge remote-tracking branch 'origin/master'
6a7f96b5 add to doc
f5522ca7 add search keyword in item_listing_page.pl
0dc579e9 update todo
64dfd3d9 Merge remote-tracking branch 'origin/master'
3078c08b add a border around archive link ; get_read_page.pl
05a3f147 Merge remote-tracking branch 'origin/master'
9136754d improve style author_info.pl
50598795 update manual page; manual.template
ed13381c make description of "read" page more accurate; default/string/en/page_intro/read
5080a2bf Update todo.txt
ade71865 update manual
4c76b910 when displaying "no cookie haiku", store proposed comment in a cookie
b34f1438 improve message displayed when page is deleted from server in fresh.js
949b5021 Merge remote-tracking branch 'origin/master'
5ab908a5 improve description of active authors view
9538af62 Merge branch 'master' of https://github.com/gulkily/pollyanna
30b709b4 update todo
54816105 update docs
3fc75144 Merge remote-tracking branch 'origin/master'
e2f9608f add to scratch.pl
f412f777 add to brainstsorm.txt
2f3ab2ce improve debug output in GetResultSetAsDialog() ; resultset_as_dialog.pl
70bfbdf9 add doc/draft/publish.txt
3c7f9ca2 add a todo in upload.php
58c95bf1 rename addLoadingIndicator() to AddLoadingIndicator() scratch9.txt
666061a7 Merge branch 'master' of https://github.com/gulkily/pollyanna
2285553a fix bug in post.php
c9ca34b7 Merge branch 'master' of https://github.com/gulkily/pollyanna
b35d9fec improve no cookie haiku page
8f8b2a3a Merge branch 'master' of https://github.com/gulkily/pollyanna
70663a37 improve post.php
65a5d1c0 improve comments and searchability in loading_begin.js
fac390ca rename addLoadingIndicator() to AddLoadingIndicator()
4bc6a467 Merge branch 'master' of https://github.com/gulkily/pollyanna
0cf76bd7 add introductory message to hike.sh
6d549309 update doc/bug.txt
28dca37c add "active" page to list of menu items which get a counter
d39012b4 improve query/active template
53287408 improve new page descriptor
7121c0c8 update bug.txt and todo.txt
b8ee732f Merge remote-tracking branch 'origin/master'
2f5da0c5 add debug output in utils.pl
00a54337 Merge remote-tracking branch 'origin/master'
be1a6bf5 improve code readability item_listing_page.pl
47ae6988 add nice border to page description dialog item_listing_page.pl
7948893a improve formatting in MakePage() makepage.pl
cdf8c51d remove > character from settings.js
7204d4ed add check for remove() before calling it voting.js
7fc8c27e refactor GetPrefs() and SetPrefs() settings.js
d4135bef improve comments
05f3b1e0 improve js comments and code searchability
efa8978e improve documentation of assist_show_advanced feature
3b6710c6 add search keywords in route.php
1da59257 Merge remote-tracking branch 'origin/master'
35695c1d add bing to search toolbox item_page.pl
7cf18e44 add 'hike refresh' to list of available commands in 'hike help'
d63a9752 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
244afc4f fix bug in avatar.pl
15100312 improve DoRefreshFrontend()
3b629b71 continue writing refresh frontend command
0d3245fa remove unnecessary whitespace in utils.pl
5fea8566 create theme/hyperlocal/template/perl/dialog/write.pl in hyperlocal theme
f97403c3 add to scratch.pl
8e731c8d add todo in additional.css for chicago theme
0d36e47e add to scratch.txt
961033b3 improve hike.sh
45e57f1f add suggested packages in 1337.txt
c1a6db37 add skeleton for restrict_upload feature
43bbd28c add comments and improve smell in utils.pl
102a513c add toolbox_similar_timestamps option
0bef749a update todo.txt
178ab36c update todo
448ab15e enable more features in enable_features.sh
a22fbeb1 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
b147a70e reset button should reset draggable_scale setting ; reset_button.template
a35b8a95 Merge remote-tracking branch 'origin/master'
8e41abf4 improve code smell in route.php
836a6050 improve sanity of build.pl
c51614e2 improve comments in html.pl
a35267b3 improve code smell in avatar.pl
c43ca275 add class=left and class=right to titlebar in topmenu2.template
10a260d0 remove update button, add 'refresh frontend' button; remove DoFlush(), add DoRefreshFrontend()
2b7449ba improve keyboard frame templates (add background color to frames and body tags inside <noframes> fallback content)
d6404db4 add refresh frontend button in operator.template
14f4204f remove buttons which don't do anything ; operator.template
ebcf5d03 improve list of suggested apt packages in 1337.txt
0357b863 improve message to operator in post.html
ce0364b8 Merge branch 'master' of https://www.github.com/gulkily/pollyanna
fd695d1a add sanity check for title attribute in DBAddItemAttribute() ; sqlite.pl
97a5b2b5 improve comments and debug output
ee5a16bb update todo.txt
ff6ee88c improve comments in settings.js
4521e3ac update todo.txt and bug.txt
a81005f8 fix bug in MakePage() where parameters were not trimmed properly
d085ee1f improve debug output in makepage.pl
39d28fa9 improve debug output in data.pl
a842ec5c improve debug output in sqlite.pl
ad4c96cb improve code smell in dragging.js
09f43016 add sanity check for missing $fileSize in GetFileSizeWidget() widget.pl
31cef6b4 update bug.txt
8756477a add sanity check for existence of git in GetMyVersion() utils.pl
1e5cc80d add sanity checks for existence of zip and git programs before running them in MakeDataZip() data.pl
63f61d9c update bug.txt
3fda2951 update bug.txt
b870b46a update todo.txt
b01e2533 update todo.txt
0da27134 make lib_heal.pl run
7dc8eb9d improve lib_heal.pl
2bfd9989 add a bug for windows build
989aad75 update todo
13799fe1 add toggle setting for hike_addmenu token
33a52036 add class=txtarea to textarea in reply.template
f8aa914c add to scratch.js
b73e35d1 update todo
4134a19f fix bug in php version of PutConfig() utils.php
e48fedaa add comments in GetDir2() utils.php
4d23e5b8 add debug output to LogChangesToGit() operator_response.pl
1370ff6e if translit is enabled, automatically show translit keyboard when write link is clicked
c24d2cd3 add (disabled) code to adjust textarea on write page to not be wider than viewport
cf320b02 add default setting for git/repos_managed
5cf462fc improve behavior of search toolbox on item page
b9cbdc24 improve support for individual page stylesheets in stylesheet.pl
20588e19 improve support for individual page stylesheets in stylesheet.pl
c7169fab add todo comment in voting.js
19b11807 improve small on-screen keyboard by adding color-coding to the keys
7bcd8833 comment out intro message in hike.sh so that it does not crowd the website ui
e83390b9 add debug output in item_page.pl
eebfc2dd add debug output and comments in thread_listing.pl
d0bfdd2a update todo
462f53d7 improve reset_config.sh script in hypercode theme
4bcab2ee add 'hike addmenu' command to token definitions
a8b90de3 add OmniWeb to list of known compatible browsers
de3c617e add debug output to AddToMenu() and make it write to main menu template instead of hypercode theme
af9c1721 improve chain page and add option to show iframe with chain.log contents
b3d20363 remove code for config token, replaced with 'hike set' command index_text_file.pl
175fd24b remove menu list template from hypercode theme
edf576a2 add comments in utils.pl and operator_response.pl
a4d94ecd add support for hashtag parameter in token definitions
963aa995 remove titlebar gradient in hypercode additional.css
7ee02bc5 remove pgp keychain when resetting config in hypercode theme
2e3631a6 improve operator_response.pl
b2445972 improve chicago theme's additional.css
bdaa904b add comment in sqlite.pl
eab50eb1 add search keyword in makepage.pl
12c3f600 improve enable_features.sh
3c938ea8 update todo.txt
962ff2d2 remove comments and !important from inbox_top.css
b8a2b0f2 add comments in GetMenuItem() menu.pl
14003daf add todo in item_html_link.pl
5ecfab58 fix issue in inbox_top.css causing inbox dialog to float off-page in draggable mode
b044379e remove call to pages.pl --system from build.pl, which slowed down the build process
11dedf3b add comments to utils.pl
3c4d0a0c add hashtag option and add hashtag for operator_please tag in token_defs.pl
5c74285c clean up token_defs.pl
c5fcd0b3 improve comments in string.pl
c7b7fdea improve debug output in avatar.pl
07588b07 remove tagset_all field from author_replies query (inbox)
97a5ff81 add openpgp_keychain setting for js
e2e864c5 change again the default thumbnail id
3efcbfcf make inbox_top a default setting for hypercode theme
ee35d42f improve inbox_top feature and inbox feature
26817f96 add voting.js to write page when inbox is enabled
a1af5f29 add inbox_top to its own css module
d88aee7b add to hypercode reset config
30a7672a update displayed project name in hike.sh
7b9effab add operator_please_commit_and_push setting
df951aa4 remove inbox from default hypercode config
98f3d5c5 add LogChangesToGit() and factor out its bits out of IndexTextFile() and GetOperatorResponse()
109f402e do not display inbox if empty
1ef7a7f6 improve hypercode theme css
62bdaff6 fix git commit feature
3d08c0df actually remove config from repo
03dc6a87 add config to gitignore
f5e029c1 remove config from repo
b862c88f Merge remote-tracking branch 'origin/master'
590aeb74 hotpatch a bug in utils.pl
7cc086bc remove config from repo
09ffdce7 add hn_ bookmarklets
7014c82b add to scratch.html (removed from help page)
d1feb828 improve git commit feature
681df43a updating config for task d2c1b3f4e85a4299a098f01bb08d4474dd39551d
2eb66eb7 updating config prior to task d2c1b3f4e85a4299a098f01bb08d4474dd39551d
4c96766b updating config for task 65d7f51387a4fd16bd740c2ab3247a68beecdc22
e7dd1d0d updating config prior to task 65d7f51387a4fd16bd740c2ab3247a68beecdc22
b4404750 updating config prior to task cce92cd0b13ff93b98e2fb1d7f4722aa5adfa34e
a4658aed updating config to perform task e13e31e43e420ba7b0a97962ee45fa4046f949e7
d136359c test
ef712744 fix broken query and merge
e856a05f update gitignore
c20d7c83 add (disabled) option to log config to git
9b1615e1 improve smell in operator_response.pl
1512b882 updating config to perform task 8093a6341cf68e544959078e74b22386f8bb3d42
1395c184 updating config to perform task e13e31e43e420ba7b0a97962ee45fa4046f949e7
4d752931 hypercode config second initial commit
afcc5116 hypercode config initial commit
1ec723bd sqlite.pl, hotfix for error in query
9408e432 profile page: remove introduction dialog which took up extra space. move keychain dialog to beginner layerx
89fe57c6 change default thumbnail on people page
4a40c7cc hotfix for keygen failing due to profile page submitting form (crypto2.js)
e1f8d802 remove reply(0) link from status bar until it can be feature-toggled by config/setting/reply/enable
0c2e830b add rounded corners for everything to hypercode theme
eac34cd4 add to scratch.js
395fe5d3 add Thorium browser to list of supported browsers operator_response.pl
2657c6ed make starter menu more basic in hypercode theme
ddb51c8f add basic menu items to hypercode theme
9826ec3d add accessibility request query to operator_response.pl
4530640a when reesetting website, already have inbox enabled
05c4149f remove GetOnce() call in GetOperatorResponse() until it is implemented operator_response.pl
0bfd54a3 when doing 'index.pl --all' turn off operator_please and hike_set tokens
d65c6560 improve sanity in index() ; utils.php
2f40f870 improve sanity in CheckForInstalledVersionChange(); utils.pl
03da93ab improve appearance of hike set response
a7581e8f add template for "more settings" dialog
13f2bdb2 update scratch.pl
2b7feb82 rename "computer, please" command to "operator, please"
e30454c4 add search keyword comment in StoreNewComment() store_new_comment.php
fb9d0f08 add hypercode to publish toolbox
cc37602e disable ServerSign() until it is fixed utils.pl
49de7584 add ServerSign()
80a42799 add people page option to computer response
e1396082 take out calls to hike refresh from computer_response.pl
9f7fdc05 allow basic actions from inbox dialog
2eeb5ea3 do not try to open people dialog until it is better
2be42e9c always show inbox, even when empty
9525f18c update todo
0b126ca3 add menu position to reset script
12ee064e add sign_git_changelog setting
2c71b90c when clicking annoy, also activate dialog spawning
930b4bf9 add option to clearsign computer's response
f0a3d84c move reply form to directly below an item on the item page to ensure that they are connected in the user's mind
070da857 add scratch text to doc/
255a7e4a improve code smell and searchability
9106c805 improve computer_response.pl
c62e4e7a add and improve people page
176723be add two columns from people query to field_advanced list
a57c8898 add a special style for timestamps inside of pre elements
861aa85b update todo
32e96022 add 'hike page' token default setting (0/off)
67d91455 rename authors2 to people
f052b679 add authors2 page
5ca77b79 add helpful comments
1c373a52 update todo
4be262cf add mit bitcoin expo 2023 page preset
f5933c50 add attribute description for computer_please field
42f08c76 improve hypercode theme reset config script
fe96d531 make controls menu match other colors in dialog
eaed00b1 add hike_set token implementation
ed36c590 make openpgp checked when enabling it
28194e1a add remainder of item_page_menu_bottom feature page_footer.pl
d9f00c94 in makepage.pl, require get_read_page.pl before calling GetReadPage()
e9cb65e1 add GetQuerySqlDialog() ;
0fc8731d improve index_text_file.pl
2001abf7 add some commented out possible improvements to get_read_page.pl
ec2e6837 add item_page_menu_bottom setting
caab65e3 improve computer_response.pl
0c91985f clean up and add comments
f17c947c improve grouping in stats dialog
0b81899e improve computer reesponses; add random page, make interface draggable, hacker news scraper, add inbox,
de468da1 remove very big font from identity (profile) page intro
1216626f add reset config script for testing hypercode
e2fe850c add page intro for chain page for hypercode theme
3b9619e4 add token definition for 'hike set'
880be16e add search keyword in makepage.pl
7aefd254 add todo in item_page.pl
e01bdbd9 on chain page, make link to chain.log visible to beginners
f11c38f7 add hike set token
e6535471 add to todo.txt
764a7802 add search query in file.pl
e086af8c add todo in config.pl
91575029 add todo in set.pl
bde15041 add search keyword in access_log_read.pl
1c4527ec add search keyword in hike.sh
9645df87 add computer_response.pl template
3ec2cf73 improve hike.sh
5ba30d8b improve smell in utils.pl
e03af7fd add search keyword in item_tag_buttons.pl
02d28d95 add reprint bookmarklet to bookmark page
b693b492 add item_dialog_status_bar setting
34f72c2f add admin/php/server_response_display_to_client setting
ecdd7c60 add default menu to hypercode theme
6e04debc move hypercode welcome page content to a .template file
48ddae2b fix item_attribute_latest view in schema.sql
4459152a add agpl license into root
553b35cd add commented out fallback message
a2cf2249 hotfix for cookie_inbox not working
9d3e1e25 hypercode theme
41da30fa Merge remote-tracking branch 'origin/master'
cff783ce add 'applied hashtags' dialog to make it easier to navigate
12582013 update todo
c31fdfca change setting name from 'py' to 'python3'
cf624d79 improve GetQueryAsDialog() ; add searchable subprocedure name comment
acbab2d0 fix menu controls link color in css-capable browsers
cba4e299 improve debug output in html.pl GetTargetPath()
fc6e42ac add background image to hypercode theme
aaaf69ef make profile.js work basic
bc8e4826 add strings for tag/cpp and tag/py menu items
33792aac improve debug output in RenderField() ; render_field.pl
8106c8b2 in RenderField() include small thumbnail of image when listing a linked title of a type=image item ; render_field.pl
549dc242 add flags parameter and do_not_escape_html_characters flag to GetItemHtmlLink() item_html_link.pl
ccb51bc7 remove automatic rebuild from template_refresh.pl
e48a28e4 clean up doc/
146f0e5b decouple hike refresh and hike frontend commands
c09369b7 fix comment format in easy_register.js
51b85cda remove > character from write_php.js
1d554c87 add a todo in pages.pl
622e9413 add item_type to compost query
af6a97e3 improve mitbtc theme
1bce0a6c improve mitbtc theme
d82ca5af add setting/html/item_page/include_notext_in_thread_list
a3f7fbab add schedule page as an option in php and perl handlers
fe01aeb0 remove a link from topmenu2.template in mitbtc theme
e15e40af improve code smell in string.pl
3649dcec add preference uncheck_sign_when_pasting, which unchecks the 'sign as' checkbox when a paste is detected
7ca0645d add support for setting/zip/tag (for creating zip files grouped by hashtag) get_read_page.pl
716dc2da add searchable comment in get_read_page.pl
02b99e89 move calendar_days and calendar_months queries out of calendar.pl into template
8b2c130e add searchable comments in makepage.pl get_read_page.pl
e09d9bcc scratch.sql : remove trailing spaces from some lines
458b3c99 on calendar page, include 'date' token as selection criteria (calendar.pl)
d71885dd remove faulty 'hide' voting link implementation and save it in scratch.js
2a3c238a improve method of templated color injection in timestamp.js (inject_js.pl)
75757a79 Make an empty chain.log if absent, and build system pages when building project
a2019378 Merge remote-tracking branch 'origin/master'
4fad43a4 log python3 http.server to log/p3access.log
5f74329c ilyag theme, network page basic
43a852da fix missing dialog provision for profile dialog in pages.pl
67077ddf add todo in menu.pl
7d4affac fix FetchDialog() call for menu items which lead to a tag/foo.html page ; menu.pl
38d3cbf5 move unused demo.js and history.js to doc/scratch/
29a18b24 add header and footer to item_list.template
0b9836d2 fix bug in item_list.template
5347765e update todo
c7ad3688 add warning in GetTargetPath() html.pl
93f0eb78 update todo
5535af77 update todo
dcd3cd41 change touch command in _dev_clean_html.sh to be compatible with bsd touch command
664b09f1 fix logic around showing related items and clean up GetItemPage() ; item_page.pl
f2dc2739 clean up js templates directory
e84686e9 Merge branch 'master' of https://github.com/gulkily/thankyou
db83387a add background and titlebar colors to ilyag theme
4fa11aba templatize item list
26149f6d Merge branch 'master' of https://github.com/gulkily/thankyou
68a39263 if server declines vote with 401 response, redirect user to profile page ; voting.js
8c1eecb4 correct debug output in voting.js
3c043d4f if server declined to accept vote, return 401 error code ; post.php
694829d3 Merge remote-tracking branch 'origin/master'
47ad7e24 add sanity check to GetTargetPath() ; html.pl
f9444dbb add blog link to ilyag theme; replace home page in ilyag theme
4499debd Merge branch 'master' of https://github.com/gulkily/thankyou
0e248fdb add basic home.template to ilyag theme
b02d3a67 improve comments in paste.js
cd1aab83 do not automatically rebuild after _dev_clean_html.sh
73bc8ed4 remove trex.js
dab52f24 move clean.sh to scratch/
af66a88f continue cleaning up shell scripts templates
1fe1c197 clean up shell scripts directory
6b390c86 improve sanity and compatibility of _dev_archive.pl
322e18fe add to todo.txt
5890221e clean up shell scripts, add comments, and move some to scratch
ea064fcb clean up default/template/perl/script/ directory of half-finished and no longer used scripts, improve comments in remaining scripts
b254e323 add comments to flesh out lib_heal.pl
7087caf7 add basic lib_heal.pl for healing missing libraries from default
f8ef5a3c move lib/ into default/template/perl/lib/ and add lib/ to .gitignore
c82eca27 add StorePostUrl() to utils.pl
d11e88f6 fix bug with incorrect port number sanity check in StartHttpServer() server_local_python.pl
d7c4142e add memoization to GetTargetPath() html.pl
2014ad8e add more sanity to access_log_read.pl
ddb4539b use correct post url in more places (voting.js and write form)
1618ef79 add GetWriteDialog(), refactor GetWriteForm(), use GetWriteDialog() instead of GetWriteForm() in pages ;
51600c25 add todo in puzzle.pl
1356024e update todo
a958547d make it easier to template post url in voting.js
ff7495f9 add basic cgi-bin/update.sh
370b4b7a update todo.txt
6b6f87b2 add to todo.txt
1205eddb update todo
cf09fa2a add GetTargetPath() html.pl
742c1781 Merge branch 'master' of https://github.com/gulkily/thankyou
e02b57b3 add to todo.txt
1a387b45 add support for python http.server in build.sh and hike.sh
23ec4d1d add basic server_local_python.pl
53de3133 improve debug output of server_local_lighttpd.pl
fea065ae add basic config for cgi and python3_server
dfd65950 remove unused code in server_local_lighttpd.pl
fd1797bd clean.sh: do not remove config entries
914eabce improve update.pl
bb2b6667 improve comments in access_log_read.pl
74de3e02 update todo
3e51412f improve sanity and smell in StartLighttpd() ; server_local_lighttpd.pl
668e2dcd improve FindBinPath() server_local_lighttpd.pl
293de89b add php_path setting
6b8d08d5 improve debug output of str_replace() ; utils.pl
9e32e2f7 improve smell in scunthorpe.pl
48a7fe95 add FindBinPath() and improve smell in server_local_lighttpd.pl
a15c68b5 move cluster_by_time.pl to scripts
f9998b70 improve smell in cache.pl
1fc73564 update scratch.pl
39d15426 fix query in welcome page for ilyag theme
53a83731 ilyag theme: add javascript to welcome page
0fd804c0 add welcome page to ilyag theme
20566f27 add menu list template to ilyag theme
a1f69f52 improve smell in item_listing_page.pl
ef46dfc8 add some procedure aliases to make it easier to find them ; get_item_listing.pl get_read_page.pl item_list.pl item_listing_page.pl
18a0f7e7 add todo to post.php
d906d615 add option for network page
4f9c4214 rename 'spy' page and dialog to 'inspector'
e99af0e9 clean up GetItemListHtml() ; item_list.pl
de4917a2 add setting/admin/access_log/write_addendum
317d3ad8 make page intro on listing pages optional
40874a1b remove unused template replacement in GetPageHeader() ; get_page_header.pl
f9ec8455 make read page output in full item mode ; makepage.pl
77a805ad add file_path and item_type to read query template
f3c3b7c3 add sanity checks in GetItemTemplate() ; item_template.pl
bfc8ac33 make layer and dialog controls in menu optional
c7eda2ba re-add utils.pl, index.pl, pages.pl to symlinked files as they're still needed for now
1fc05459 remove no longer used GetTopItemsPage() in pages.pl
31de1889 show thread listing to all users viewing item page ; item_page.pl
1096d482 move GetItemListHtml() to separate module; remove duplicated code in GetReadPage() and replace with call to GetItemListHtml()
2f1431da update doc/notes/new_page.txt
23e98ba5 improve searchability by adding searched for sub names
50af4838 improve comments in GetItemListing() ; get_item_listing.pl
cd8d250b in author info dialog, make score visible in beginner layer ; author_info.template
6a9c0511 remove necessity of having a symlinks to utils.pl, config.pl, index.pl, pages.pl, server_local_lighttpd.pl in project root
32fcbe56 improve smell in utils.pl
5f0e99c9 remove necessity of having a symlink to server_local_lighttpd.pl in project root
4841cbd5 add todo in lighttpd.conf.template
bfdc5f90 remove necessity of having a symlink to sqlite.pl in project root
a6628da7 remove necessity of having a symlink to build.pl in project root
d5d2b67c fix indentation in resultset_as_dialog.pl
e863355b adjust indentation in hike.sh
6643bb8a add to todo.txt
3823daef add some text to be used later to scratch.txt
0a74ab4c improve random page query
77fab03a display list of deleted (archived) items ordered by hash, since there are no timestamps by default ; default/template/query/deleted
eb275594 improve GetNextPreviousDialog() ; item_page.pl
e3a3c1ce add new commented out code in GetReadPage() ; get_read_page.pl
95cfbd7e improve textart in README.txt
3c258103 clean up GetReadPage() ; get_read_page.pl
c75f50b5 improve debug message on item page, GetItemPage(); item_page.pl
8d148a41 change default sort on /tag/... page to reverse-chronological GetReadPage() ; get_read_page.pl
aef35fb5 add comment to menu.pl
3fd76eca add more fields which should be hidden from basic view to field_advanced
c471c460 improve smell in utils.js
34c38b31 add GetMeditateMessage() ; loading_begin.js
c3a5b493 remove gt character from dragging.js ; dragging.js
8cdc772d clean up top directory of unused shell scripts
a3bc36b9 build.sh builds local environment including symlinks to perl scripts and sets +x
68eb79f6 build.sh no longer needs to clean the perl templates
ec6b487a clean.sh removes most configuration files, except content
a89e34e9 add file to keep track of server state ; hike.sh
7198eacd improve output of pages.pl
07f71ed2 clean up todo.txt
7b998816 clean up scratch.pl
f32b0e34 on desktop page, do not reactivate dragging mode if it is already activated ; desktop.js
8a968023 update todo
8eec0008 in DesktopOnLoad(), perform feature checks before trying to enable dragging mode ; desktop.js
80aee937 clean up pages.pl and update scratch.pl
a8c8d76f add replace_menu.pl and add option rewrite_menu_after_index
433e388c add sanity check in pages.pl -D \#hashtag ; pages.pl
1df0ad42 simplify dialog generators in pages.pl
7276205f add to todo.txt
21e7ca8d add voting.js to desktop page, since voting is possible from it ; desktop.pl
28a4552e MakePage: add sanity check for $pageDate when $pageType is 'date' ; makepage.pl
9d28641f Merge branch 'master' of https://github.com/gulkily/thankyou
ebf0813a only activate annoying mode on desktop page (not on the welcome page)
a8c83840 only activate annoying mode on desktop page (not on the welcome page)
87f696da add debug output in MakePage() ; makepage.pl
add08fe9 decouple reply cart from top menu; add ReplaceMenuInAllPages() ;
767ac508 improve RunFile()'s handling of python files; ensure python interpreter exists before running; run_item.pl
1f46e906 when logging RunFile() times, include which interpreter was used ; run_item.pl
5516f229 in GetFileMessage(), output caller when there is a warning; file.pl
c35818c8 fix off-by-one error when checking minimum score to admin ( setting/admin/self_admin_minimum_score ) ; index_text_file.pl
265a5d5f Merge branch 'master' of https://github.com/gulkily/thankyou
b49e67ce get rid of problematic replace in route.php
387b3f67 improve rendering of local_path field ; render_field.pl
d3ca73f7 route.php improve smell
f53f5a12 add search string in utils.pl
2453ab33 fix bug in InsertFetchedDialog(), should not return if skip link not found; should now call ShowAdvanced() and hide notifications ; also improve smell and debug output ;

#changelog